Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 5465)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 5466)
@@ -58,5 +58,5 @@
 $lang['Add'] = 'Toevoegen';
 $lang['Allow user registration'] = 'Sta gebruikersregistratie toe';
-$lang['Apply to subcategories'] = 'Toestaan op subcategorieën';
+$lang['Apply to subcategories'] = 'Toestaan op sub-categorieën';
 $lang['Associated'] = 'Gelinkt';
 $lang['Association to categories'] = 'Gelinkt aan categorie';
@@ -70,5 +70,5 @@
 $lang['Check for upgrade failed for unknown reasons.'] = 'Upgradecontrole is door onbekende reden niet (goed) uitgevoerd.';
 $lang['Check for upgrade'] = 'Upgradecontrole';
-$lang['Comments for all'] = 'Commentaar voor alles';
+$lang['Comments for all'] = 'Iedereen mag commentaar geven (ook gasten)';
 $lang['Controversy'] = 'Controversieel';
 $lang['Current name'] = 'Huidige naam';
@@ -110,5 +110,5 @@
 $lang['Link all category elements to some existing categories'] = 'Link alle categorie-afbeeldingen aan bestaande categorieën';
 $lang['Linked categories'] = 'Gelinkte categorieën';
-$lang['Lock gallery'] = 'Sluit galerie';
+$lang['Lock gallery'] = 'Sluit galerie voor onderhoud';
 $lang['Maintenance'] = 'Onderhoud';
 $lang['Manage permissions for a category'] = 'Beheer rechten van een categorie';
@@ -125,7 +125,7 @@
 $lang['New tag'] = 'Nieuwe tag';
 $lang['No tag defined. Use Administration>Pictures>Tags'] = 'Geen tag gedefinieerd. Gebruik beheer>afbeeldingen>Tags';
-$lang['Number of comments per page'] = 'Aantal commentaren per pagina';
-$lang['Number of rates'] = 'Aantal beoordelingen';
-$lang['Number of thumbnails to create'] = 'Aantal thumbnails om te maken';
+$lang['Number of comments per page'] = 'Aantal weer te geven commentaren per pagina';
+$lang['Number of rates'] = 'Aantal waarderingen';
+$lang['Number of thumbnails to create'] = 'Aantal mini-afbeeldingen om te maken';
 $lang['Only private categories are listed'] = 'Alleen privé categorieën worden getoond';
 $lang['Operating system'] = 'Besturingssysteem';
@@ -151,7 +151,7 @@
 $lang['Properties'] = 'Eigenschappen';
 $lang['Random picture'] = 'Willekeurig plaatje';
-$lang['Rate date'] = 'Beoordelingsdatum';
-$lang['Rating by guests'] = 'Beoordeling van gasten';
-$lang['Rating'] = 'Beoordeling';
+$lang['Rate date'] = 'Waarderingsdatum';
+$lang['Rating by guests'] = 'Ook gasten kunnen waarderen';
+$lang['Rating'] = 'Waardering';
 $lang['Reject All'] = 'Alles afwijzen';
 $lang['Reject'] = 'Afwijzen';
@@ -170,5 +170,5 @@
 $lang['Statistics'] = 'Statistieken';
 $lang['Storage category'] = 'Opslag categorie';
-$lang['Sum of rates'] = 'Eindbeoordeling';
+$lang['Sum of rates'] = 'Eindwaardering';
 $lang['Tag "%s" already exists'] = 'Tag "%s" bestaat al';
 $lang['Tag "%s" was added'] = 'Tag "%s" is toegevoegd';
@@ -184,5 +184,5 @@
 $lang['Validate All'] = 'Valideer alles';
 $lang['Validate'] = 'Valideren';
-$lang['Validation'] = 'Validatie van commentaar';
+$lang['Validation'] = 'Validatie van commentaar voor plaatsing is nodig';
 $lang['Version'] = 'Versie';
 $lang['Virtual categories movement'] = 'Virtuele categorie-verplaatsing';
@@ -192,5 +192,5 @@
 $lang['You are running on development sources, no check possible.'] = 'U werkt op basis van ontwikkelings bronnen, geen controle mogelijk.';
 $lang['You cannot delete your account'] = "U kunt uw account niet verwijderen";
-$lang['You cannot move a category in its own sub category'] = 'U kunt een categorie niet verplaatsen naar zijn eigen subcategorie';
+$lang['You cannot move a category in its own sub category'] = 'U kunt een categorie niet verplaatsen naar zijn eigen sub-categorie';
 $lang['You need to confirm deletion'] = 'U moet de verwijdering bevestigen';
 $lang['add tags'] = 'Toevoegen tags';
@@ -214,5 +214,5 @@
 $lang['Access type'] = 'Toegangstype';
 $lang['Comments'] = 'Commentaar';
-$lang['Information data registered in database'] = 'Informatie data geregistereerd in de database';
+$lang['Information data registered in database'] = 'Informatie opgeslagen in de database';
 $lang['Default display'] = 'Standaardweergave';
 $lang['History'] = 'Geschiedenis';
@@ -233,5 +233,5 @@
 $lang['High definition enabled'] = 'Hoge kwaliteit ingeschakeld';
 $lang['File'] = 'Bestand';
-$lang['Filesize'] = 'bestandsgrootte';
+$lang['Filesize'] = 'Bestandsgrootte';
 $lang['first element added on %s'] = 'eerste afbeelding toegevoegd op %s';
 $lang['Forbidden'] = 'Niet toegestaan';
@@ -334,6 +334,6 @@
 $lang['Properties'] = 'Eigenschappen';
 $lang['public'] = 'Publiek';
-$lang['Purge never used notification feeds'] = 'verwijder nooit gebruikte meldingen';
-$lang['Purge sessions'] = 'verwijder sessies';
+$lang['Purge never used notification feeds'] = 'Verwijder nooit gebruikte meldingen';
+$lang['Purge sessions'] = 'Verwijder sessies';
 $lang['randomly represented'] = 'willekeurig gerepresenteerd';
 $lang['registration date'] = 'Registratiedatum';
@@ -350,5 +350,5 @@
 $lang['Remote site url must start by http or https and must only contain characters among "/", "a-zA-Z0-9", "-" or "_"'] = 'Remote site url moet starten met http of https en mag alleen bestaan uit de karakters "/", "a-zA-Z0-9", "-" or "_"';
 $lang['remove tags'] = 'verwijder tags';
-$lang['Repair and optimize database'] = 'repareer en optimaliseer de database';
+$lang['Repair and optimize database'] = 'Repareer en optimaliseer de database';
 $lang['selection'] = 'Selectie';
 $lang['set to'] = 'Instellen op';
@@ -381,13 +381,13 @@
 $lang['User list'] = 'Gebruikerslijst';
 $lang['Modify informations about a picture'] = 'Verander de informatie van een plaatje';
-$lang['Thumbnail creation'] = 'Thumbnails maken';
+$lang['Thumbnail creation'] = 'Mini-afbeeldingen maken';
 $lang['Database synchronization with files'] = 'Database synchronisatie met bestanden';
 $lang['Pictures waiting for validation'] = 'Afbeeldingen die wachten op validatie';
 $lang['all'] = 'Allen';
-$lang['pictures without thumbnail (jpeg and png only)'] = 'afbeeldingen zonder thumbnail (alleen jpeg en png)';
+$lang['pictures without thumbnail (jpeg and png only)'] = 'afbeeldingen zonder mini-afbeelding (alleen jpeg en png)';
 $lang['height must be a number superior to'] = 'Hoogte moet groter zijn dan';
 $lang['width must be a number superior to'] = 'Breedte moet groter zijn dan';
 $lang['for the file format'] = 'voor het bestandsformaat';
-$lang['No missing thumbnail'] = 'Geen ontbrekende thumbnail';
+$lang['No missing thumbnail'] = 'Geen ontbrekende mini-afbeelding';
 $lang['Picture unreachable or no support'] = 'Afbeelding is niet bereikbaar of er is geen support';
 $lang['GD version'] = 'GD versie';
@@ -406,6 +406,6 @@
 $lang['unset'] = 'Niet ingesteld';
 $lang['Move up'] = 'verplaats naar boven';
-$lang['Update categories informations'] = 'categorie-informatie bijwerken';
-$lang['Update images informations'] = 'afbeeldings-informatie bijwerken';
+$lang['Update categories informations'] = 'Categorie-informatie bijwerken';
+$lang['Update images informations'] = 'Afbeeldings-informatie bijwerken';
 $lang['Synchronize'] = 'Synchroniseer';
 $lang['reduce to single existing categories'] = 'Alleen naar de bestaande categorieën terugbrengen';
@@ -421,6 +421,6 @@
 $lang['File/directory read error'] = 'Bestand/map lees fout';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Het bestand of map kan niet worden benaderd (of het bestand of map bestaat niet of heeft geen rechten)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'Een afbeelding heeft een indexafbeelding nodig. De indexafbeeling moet in de subdirectorie "thumbnail" van de betreffende categorie aanwezig zijn. De indexafbeelding moet starten met het in de configuratie opgegeven voorvoegsel en mag alleen een extentie bevatten die voorkomt in de volgende lijst:';
-$lang['missing thumbnail'] = 'ontbrekende thumbnail';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'Een afbeelding heeft een mini-afbeelding nodig. De mini-afbeelding moet in de subdirectorie "thumbnail" van de betreffende categorie aanwezig zijn. De mini-afbeelding moet starten met het in de configuratie opgegeven voorvoegsel en mag alleen een extentie bevatten die voorkomt in de volgende lijst:';
+$lang['missing thumbnail'] = 'ontbrekende mini-afbeelding';
 $lang['categories deleted in the database'] = 'categorieën verwijderd uit de database';
 $lang['elements deleted in the database'] = 'afbeeldingen verwijderd uit de database';
@@ -505,6 +505,6 @@
 $lang['Guest cannot be deleted'] = 'Gast kan niet verwijderd worden';
 $lang['Default user cannot be deleted'] = 'Standaard gebruiker kan niet verwijderd worden';
-$lang['Purge history detail'] = 'details van de filtergeschiedenis';
-$lang['Purge history summary'] = 'overzicht van de filtergeschiedenis';
+$lang['Purge history detail'] = 'Details van de filtergeschiedenis';
+$lang['Purge history summary'] = 'Overzicht van de filtergeschiedenis';
 $lang['Check integrity'] = 'Controleer integriteit';
 $lang['Anomaly'] = 'Onregelmatigheid';
@@ -536,5 +536,5 @@
 $lang['Classic display'] = 'Klassieke weergave';
 $lang['Hoverbox display'] = 'Hoverbox weergave';
-$lang['Thumbnails'] = 'Voorbeeldplaatjes';
+$lang['Thumbnails'] = 'Mini-afbeeldingen';
 $lang['Mail address is obligatory for all users'] = 'Email-adres is verplicht voor alle gebruikers';
 $lang['Minimum privacy level'] = 'Minimaal privacy nivo';
@@ -545,5 +545,5 @@
 $lang['Level 4'] = 'Familie';
 $lang['Level 8'] = 'Admins';
-$lang['Reinitialize check integrity'] = 'Herinitaliseer de integriteitscontrole';
+$lang['Reinitialize check integrity'] = 'Herinitialiseer de integriteitscontrole';
 $lang['Check all'] = 'Selecteer alles';
 $lang['Uncheck all'] = 'Deselecteer alles';
@@ -580,5 +580,5 @@
 $lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Controleer de "plugins" folder en de sub-folders permissies (CHMOD).';
 $lang['Can\'t connect to server.'] = 'Kan niet met de server verbinden.';
-$lang['Purge compiled templates'] = 'Purge samengestelde sjablonen';
+$lang['Purge compiled templates'] = 'Verwijder samengestelde sjablonen';
 $lang['Caddie is currently empty'] = 'winkelmandje is momenteel leeg';
 $lang['Demo'] = 'Demo';
@@ -589,6 +589,6 @@
 $lang['Documentation'] = 'Documentatie';
 $lang['Upload'] = 'Uploads';
-$lang['Show upload link every time'] = 'Show upload link altijd';
-$lang['User access level to upload'] = 'Gebruiker toegangsniveau om te uploaden';
+$lang['Show upload link every time'] = 'Geef de upload link altijd weer op het scherm';
+$lang['User access level to upload'] = 'Welk toegangsniveau heeft de gebruiker nodig om te kunnen uploaden';
 $lang['ACCESS_0'] = 'Vrije toegang';
 $lang['ACCESS_1'] = 'Toegang tot alles';
@@ -666,5 +666,5 @@
 $lang['Order alphanumerically reverse'] = 'Sorteer omgekeerd alfanumeriek';
 $lang['Installed Themes'] = 'Geinstalleerde thema\'s';
-$lang['Add New Theme'] = 'Voeg een nieuw thema toe';
+$lang['Add New Theme'] = 'Nog niet geïnstaleerde thema\'s';
 $lang['Forbid this theme to users'] = 'Dit thema mag niet door gebruikers gebruikt worden';
 $lang['Set as default theme for unregistered and new users'] = 'Standaard thema voor niet geregisteerde and nieuwe gebruikers';
@@ -696,5 +696,5 @@
 $lang['The thumbnail maximum width must be a number between %d and %d'] = 'De maximum breedte van de mini-afbeelding moet liggen tussen %d en %d';
 $lang['The thumbnail maximum height must be a number between %d and %d'] = 'De maximimum hoogte van de mini-afbeelding moet liggen tussen %d en %d';
-$lang['The thumbnail image quality must be a number between %d and %d'] = 'De afbeeldingskwaliteit van de mini-afbeeldimg moet liggen tussen %d en %d';
+$lang['The thumbnail image quality must be a number between %d and %d'] = 'De afbeeldingskwaliteit van de mini-afbeelding moet liggen tussen %d en %d';
 $lang['Settings'] = 'Instellingen';
 $lang['Web size photo'] = 'Webgrootte foto';
@@ -733,5 +733,5 @@
 $lang['Visit Piwigo project website'] = 'Bezoek de website van het Piwigo project';
 $lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader is een afkorting van <em>Piwigo Uploader</em>. pLoader maakt uw foto\'s op uw computer klaar en zet ze dan over naar uw Piwigo fotogalerie.';
-$lang['Guest Settings'] = 'Bezoeker-Instellingen';
+$lang['Guest Settings'] = 'Bezoeker/Guest-Instellingen';
 $lang['Main Page'] = 'Hoofd-pagina';
 $lang['Photo Page'] = 'Foto-pagina';
@@ -747,4 +747,11 @@
 $lang['Add New Language'] = 'Voeg een nieuwe taal toe';
 $lang['Language has been successfully installed'] = 'Taal is succesvol geïnstalleerd';
+$lang['Select:'] = 'Selecteer:';
+$lang['None'] = 'Geen';
+$lang['Invert'] = 'Inverteer';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Dit thema kan niet gedeactiveerd worden. Er moet minstens één thema geactiveerd zijn.';
+$lang['Webmaster status is required.'] = 'De status van de webbeheerder is noodzakelijk.';
+$lang['Bound Theme'] = 'Gebonden Thema';
+$lang['Allow rating'] = 'Waarderings-optie inschakelen';
 
 ?>
Index: /trunk/language/nl_NL/common.lang.php
===================================================================
--- /trunk/language/nl_NL/common.lang.php	(revision 5465)
+++ /trunk/language/nl_NL/common.lang.php	(revision 5466)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (beoordeling %d aantal x, standaard deviation = %.2f)';
+$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (waardering %d aantal x, standaard deviation = %.2f)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d category updated'] = '%d categorie bijgewerkt';
@@ -53,6 +53,6 @@
 $lang['At least one listed rule must be satisfied.'] = 'Op zijn minst moet aan één regel worden voldaan.';
 $lang['At least one tag must match'] = 'Op zijn minst moet een tag kloppen';
-$lang['Author'] = 'Fotograaf';
-$lang['Average rate'] = 'Gemiddelde beoordeling';
+$lang['Author'] = 'Maker';
+$lang['Average rate'] = 'Gemiddelde waardering';
 $lang['Categories'] = 'Categorieën';
 $lang['Category'] = 'Categorie';
@@ -103,5 +103,5 @@
 $lang['Quick connect'] = 'Snel inloggen';
 $lang['RSS feed'] = 'RSS feed';
-$lang['Rate'] = 'Beoordeling';
+$lang['Rate'] = 'Waardering';
 $lang['Register'] = 'Registreren';
 $lang['Registration'] = 'Registratie';
@@ -129,10 +129,10 @@
 $lang['You are not authorized to access the requested page'] = 'U heeft geen rechten tot de opgevraagde pagina';
 $lang['add to caddie'] = 'Toevoegen aan winkelmandje';
-$lang['add this image to your favorites'] = 'voeg deze afbeelding toe aan uw favorieten';
+$lang['add this image to your favorites'] = 'Voeg deze afbeelding toe aan uw favorieten';
 $lang['Administration'] = 'Beheer';
 $lang['Adviser mode enabled'] = 'Adviesmode geactiveerd';
 $lang['all'] = 'alle';
 $lang['ascending'] = 'Oplopend';
-$lang['author(s) : %s'] = 'Fotograaf : %s';
+$lang['author(s) : %s'] = 'Maker : %s';
 $lang['Expand all categories'] = 'Toon alle categorieën';
 $lang['posted after %s (%s)'] = 'geplaatst na %s (%s)';
@@ -140,6 +140,6 @@
 $lang['posted between %s (%s) and %s (%s)'] = 'geplaatst tussen %s (%s) en %s (%s)';
 $lang['posted on %s'] = 'geplaatst op %s';
-$lang['Best rated'] = 'Best beoordeeld';
-$lang['display best rated items'] = 'Weergeven van de hoogste beoordeling';
+$lang['Best rated'] = 'Beste gewaardeerd';
+$lang['display best rated items'] = 'Weergeven van de hoogste waardering';
 $lang['caddie'] = 'Winkelmandje';
 $lang['Calendar'] = 'Kalender';
@@ -237,7 +237,7 @@
 $lang['Unknown identifier'] = 'Onbekend herkenningsteken';
 $lang['New password'] = 'Nieuw wachtwoord';
-$lang['Rate this picture'] = 'Beoordeel deze afbeelding';
+$lang['Rate this picture'] = 'Waardeer deze afbeelding';
 $lang['Next'] = 'Volgende';
-$lang['no rate'] = 'geen beoordeling';
+$lang['no rate'] = 'geen waardering';
 $lang['Elements posted within the last %d day.'] = 'Toon alleen afbeeldingen geplaatst in de laatste %s dag.';
 $lang['Elements posted within the last %d days.'] = 'Toon alleen afbeeldingen geplaatst in de laatste %s dagen.';
@@ -268,5 +268,5 @@
 $lang['representative'] = 'representatief';
 $lang['return to homepage'] = 'Terug naar de startpagina';
-$lang['Search for Author'] = 'Zoek naar fotograaf';
+$lang['Search for Author'] = 'Zoek naar maker';
 $lang['Search in Categories'] = 'Zoeken in categorieën';
 $lang['Search by Date'] = 'Zoeken op datum';
@@ -299,12 +299,12 @@
 $lang['A comment on your site'] = 'Commentaar op uw site';
 $lang['today'] = 'vandaag';
-$lang['Update your rating'] = 'Werk uw beoordeling bij';
+$lang['Update your rating'] = 'Werk uw waardering bij';
 $lang['wrong filename'] = 'verkeerde bestandsnaam';
 $lang['the filesize of the picture must not exceed :'] = 'het bestandsformaat mag niet te groot zijn : ';
 $lang['the picture must be to the fileformat jpg, gif or png'] = 'de afbeelding moet een extensie hebbben die eindigt op jpg, gif of png';
 $lang['the height of the picture must not exceed :'] = 'de hoogte van de afbeelding mag niet te groot zijn : ';
-$lang['Optional, but recommended : choose a thumbnail to associate to'] = 'Optioneel, maar aanbevolen : kies een thumbnail voor associatie';
+$lang['Optional, but recommended : choose a thumbnail to associate to'] = 'Optioneel, maar aanbevolen : kies een mini-afbeelding voor associatie';
 $lang['the width of the picture must not exceed :'] = 'de breedte van de afbeelding mag niet te groot zijn : ';
-$lang['Author'] = 'Fotograaf';
+$lang['Author'] = 'Maker';
 $lang['can\'t upload the picture on the server'] = 'de afbeelding kan niet op de server geplaatst worden';
 $lang['the username must be given'] = 'de gebruikersnaam moet ingevuld zijn';
@@ -319,5 +319,5 @@
 $lang['IP: %s'] = 'IP: %s';
 $lang['Browser: %s'] = 'Browser: %s';
-$lang['Author: %s'] = 'Fotograaf: %s';
+$lang['Author: %s'] = 'Maker: %s';
 $lang['Comment: %s'] = 'Commentaar: %s';
 $lang['Delete: %s'] = 'Verwijderen: %s';
@@ -376,5 +376,5 @@
 $lang['edit this comment'] = 'Dit commentaar wijzigen';
 $lang['Edit a comment'] = 'een commentaar wijzigen';
-$lang['(!) This comment requires validation'] = '(!) Dit commentaar moet nog beoordeeld worden';
+$lang['(!) This comment requires validation'] = '(!) Dit commentaar moet nog gevakideerd worden';
 $lang['Welcome'] = 'Welkom';
 $lang['Welcome to your Piwigo photo gallery!'] = 'Welkom bij uw Piwigo fotogalerie!';
@@ -383,8 +383,8 @@
 $lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hallo %s, uw Piwigo fotogalerie is leeg!';
 $lang['I want to add photos'] = 'Ik wil afbeeldingen toevoegen';
-$lang['Manage this user comment: %s'] = 'Beoordeel het volgende gebruikers-commentaar: %s';
+$lang['Manage this user comment: %s'] = 'Valideer het volgende gebruikers-commentaar: %s';
 $lang['This author modified following comment:'] = 'Deze bewerker wijzigde het volgende commentaar:';
 $lang['This author removed the comment with id %d'] = 'This author removed the comment with id %d';
-$lang['validate this comment'] = 'Beoordeel dit commentaar';
+$lang['validate this comment'] = 'Valideer dit commentaar';
 
 ?>
Index: /trunk/language/nl_NL/install.lang.php
===================================================================
--- /trunk/language/nl_NL/install.lang.php	(revision 5465)
+++ /trunk/language/nl_NL/install.lang.php	(revision 5466)
@@ -75,4 +75,5 @@
 $lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Neem contact op met de support van uw hosting provider en probeer met hen te bepalen hoe u kunt omschakelen naar PHP 5.';
 $lang['Hope to see you back soon.'] = 'Hope to see you back soon.';
+$lang['Congratulations, Piwigo installation is completed'] = 'Gefeliciteerd, de Piwigo installatie is afgerond';
 
 ?>
Index: /trunk/language/nl_NL/upgrade.lang.php
===================================================================
--- /trunk/language/nl_NL/upgrade.lang.php	(revision 5465)
+++ /trunk/language/nl_NL/upgrade.lang.php	(revision 5466)
@@ -38,5 +38,5 @@
 $lang['All sub-categories of private categories become private'] = 'Alle sub-categorieën van private categorieën worden private';
 $lang['User permissions and group permissions have been erased'] = 'Gebruikers- en groepsrechten zijn verwijderd';
-$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Alleen de thumbnails prefix en het email-adres van de webmaster zijn bewaard gebleven van de voriger configuratie';
+$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Alleen de mini-afbeelding-prefix en het email-adres van de webbeheerder zijn bewaard gebleven van de vorige configuratie';
 $lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'In <i>%s</i>, voor <b>?></b>, voeg toe:';
 