Index: trunk/language/hu_HU/admin.lang.php
===================================================================
--- trunk/language/hu_HU/admin.lang.php	(revision 5434)
+++ trunk/language/hu_HU/admin.lang.php	(revision 5467)
@@ -50,5 +50,5 @@
 $lang['%d waiting pictures validated'] = '%d várakozó kép elfogadva';
 $lang['Actions'] = 'Műveletek';
-$lang['Activate'] = 'Aktiválás';
+$lang['Activate'] = 'Bekapcsolás';
 $lang['Add/delete a permalink'] = 'Közvetlen link hozzáadása/törlése';
 $lang['Add a tag'] = 'Címke hozzáadása';
@@ -75,5 +75,5 @@
 $lang['Current name'] = 'Név';
 $lang['Database'] = 'Adatbázis';
-$lang['Deactivate'] = 'Deaktiválás';
+$lang['Deactivate'] = 'Kikapcsolás';
 $lang['Delete Representant'] = 'Kategória képviselő törlése';
 $lang['Delete selected tags'] = 'Kiválasztott címkék törlése';
@@ -125,7 +125,7 @@
 $lang['New parent category'] = 'Új szülő kategória';
 $lang['New tag'] = 'Új címke';
-$lang['No tag defined. Use Administration>Pictures>Tags'] = 'Nincs címke hozzárendelve. Itt keresd: Adminisztráció>Fotó>Címkék';
+$lang['No tag defined. Use Administration>Pictures>Tags'] = 'Nincs címke hozzárendelve. Itt keresd: Adminisztráció>Képek>Címkék';
 $lang['Number of comments per page'] = 'Kommentek száma oldalanként';
-$lang['Number of rates'] = 'Pontozások száma';
+$lang['Number of rates'] = 'Értékelések száma';
 $lang['Number of thumbnails to create'] = 'Elkészítendő bélyegképek száma';
 $lang['Only private categories are listed'] = 'Csak privát kategóriák megjelenítése';
@@ -152,7 +152,7 @@
 $lang['Properties'] = 'Tulajdonságok';
 $lang['Random picture'] = 'Véletlen kép';
-$lang['Rate date'] = 'Pontozás dátuma';
-$lang['Rating by guests'] = 'Vendégek által pontozható';
-$lang['Rating'] = 'Pontozottak';
+$lang['Rate date'] = 'Értékelés időpontja';
+$lang['Rating by guests'] = 'Vendégek által értékelhető';
+$lang['Rating'] = 'Értékelés';
 $lang['Reject All'] = 'Mind elvetése';
 $lang['Reject'] = 'Elvetés';
@@ -164,5 +164,5 @@
 $lang['Save to permalink history'] = 'Közvetlen link előzmények mentése';
 $lang['Select at least one category'] = 'Legalább egy kategóriát ki kell választani';
-$lang['Select at least one picture'] = 'Legalább egy fotót ki kell választani';
+$lang['Select at least one picture'] = 'Legalább egy képet ki kell választani';
 $lang['Select at least one user'] = 'Legalább egy felhasználót ki kell választani';
 $lang['Show info'] = 'Információ megjelenítése';
@@ -208,5 +208,5 @@
 $lang['Find a new representant by random'] = 'Új kategória-képviselő véletlenszerű kiválasztása';
 $lang['Public / Private'] = 'Nyilvános / Privát';
-$lang['Manage authorizations for selected categories'] = 'A következő kategóriák engedélyeinek kezelése';
+$lang['Manage authorizations for selected categories'] = 'A kiválasztott kategóriák engedélyeinek kezelése';
 $lang['Select uploadable categories'] = 'Feltöltés engedélyezése a kiválasztott kategóriákba';
 $lang['Virtual category added'] = 'Virtuális kategória hozzáadva';
@@ -214,5 +214,5 @@
 $lang['Category'] = 'Kategória';
 $lang['Access type'] = 'Hozzáférés típusa';
-$lang['Comments'] = 'Felhasználói hozzászólások';
+$lang['Comments'] = 'Hozzászólások';
 $lang['Information data registered in database'] = 'Az információk bekerültek az adatbázisba';
 $lang['Default display'] = 'Alapértelmezett megjelenítés';
@@ -230,10 +230,10 @@
 $lang['Category informations updated successfully.'] = 'A kategória információinak módosítása megtörtént.';
 $lang['Authorize upload'] = 'Feltöltés engedélyezése';
-$lang['elements per page'] = 'Fotók száma oldalanként';
-$lang['elements'] = 'Fotók';
+$lang['elements per page'] = 'Képek száma oldalanként';
+$lang['elements'] = 'Kép';
 $lang['High definition enabled'] = 'Magas hozzáférési szint engedélyezve';
 $lang['File'] = 'Fájl';
 $lang['Filesize'] = 'Fájlméret';
-$lang['first element added on %s'] = 'Az első fotó hozzáadásának dátuma: %s';
+$lang['first element added on %s'] = 'Az első kép hozzáadásának dátuma: %s';
 $lang['Forbidden'] = 'Tiltva';
 $lang['General'] = 'Általános';
@@ -250,5 +250,5 @@
 $lang['High definition'] = 'Magas hozzáférési szint';
 $lang['jump to category'] = 'Kategóriához ugrás';
-$lang['jump to image'] = 'Fotóhoz ugrás';
+$lang['jump to image'] = 'Képhez ugrás';
 $lang['leave'] = 'Nem változtat';
 $lang['Lock'] = 'Lezárás';
@@ -353,5 +353,5 @@
 $lang['remove tags'] = 'Címkék eltávolítása';
 $lang['Repair and optimize database'] = 'Adatbázis javítása és optimalizálása';
-$lang['selection'] = 'kijelölés';
+$lang['selection'] = 'kiválasztás';
 $lang['set to'] = 'Beállítás';
 $lang['singly represented'] = 'festgelegtes Vorschaubild';
@@ -387,10 +387,10 @@
 $lang['Pictures waiting for validation'] = 'Jóváhagyásra váró képek';
 $lang['all'] = 'összes';
-$lang['pictures without thumbnail (jpeg and png only)'] = 'csak bélyegkép nélküli fotók (jpeg és png)';
+$lang['pictures without thumbnail (jpeg and png only)'] = 'csak bélyegkép nélküli képek (jpeg és png)';
 $lang['height must be a number superior to'] = 'a magasságnak ennél nagyobbnak kell lennie:';
 $lang['width must be a number superior to'] = 'a szélességnek ennél nagyobbnak kell lennie:';
 $lang['for the file format'] = 'fájl formátum';
 $lang['No missing thumbnail'] = 'Nincs (hiányzó) bélyegkép';
-$lang['Picture unreachable or no support'] = 'Fotó nem elérhető, vagy formátuma nem támogatott';
+$lang['Picture unreachable or no support'] = 'Kép nem elérhető, vagy formátuma nem támogatott';
 $lang['GD version'] = 'GD verzió';
 $lang['Miniaturization parameters'] = 'Kicsinyítési paraméterek';
@@ -409,5 +409,5 @@
 $lang['Move up'] = 'Mozgatás fel';
 $lang['Update categories informations'] = 'Kategóriák információinak frissítése';
-$lang['Update images informations'] = 'Fotók információinak frissítése';
+$lang['Update images informations'] = 'Képek információinak frissítése';
 $lang['Synchronize'] = 'Szinkronizálás';
 $lang['reduce to single existing categories'] = 'Szűkítés egy már meglévő kategóriára';
@@ -427,5 +427,5 @@
 $lang['categories deleted in the database'] = 'adatbázisból törölt kategória';
 $lang['elements deleted in the database'] = 'adatbázisból törölt elem';
-$lang['images candidates for metadata synchronization'] = 'fotó meta adatainak szinkronizálása';
+$lang['images candidates for metadata synchronization'] = 'kép meta adatainak szinkronizálása';
 $lang['elements informations synchronized with files metadata'] = 'elem meta adatainak szinkronizálása';
 $lang['errors during synchronization'] = 'hiba történt a szinkronizálás során';
@@ -459,5 +459,5 @@
 $lang['Virtual category'] = 'Virtuális kategória';
 $lang['Waiting'] = 'Várakozó elemek';
-$lang['default'] = 'Standard';
+$lang['default'] = 'Alapértelmezett';
 $lang['Toggle \'default group\' property'] = 'Setze die Einstellungen der Gruppe zurück auf Voreinstellung für alle Felhasználó';
 $lang['Advanced features'] = 'Speciális funkciók';
@@ -523,9 +523,9 @@
 $lang['%d anomaly has not been corrected.'] = '%d rendellenesség nem került javításra.';
 $lang['%d anomalies have not been corrected.'] = '%d észlelt rendellenesség javítása nem sikerült.';
-$lang['Go to %s or %s for more informations'] = 'Gehen Sie %s oder %s für weitere Informationen';
+$lang['Go to %s or %s for more informations'] = 'Ugrás %s vagy %s további információkért';
 $lang['the forum'] = 'a fórum';
 $lang['the wiki'] = 'a wiki';
 $lang['%s value is not correct file because exif are not supported'] = '%s érték helytelen, mert az EXIF nem támogatott';
-$lang['%s must be to set to false in your local/config/config.inc.php file'] = '%s muss auf "false" in Ihrer Datei config_local.inc.php';
+$lang['%s must be to set to false in your local/config/config.inc.php file'] = '%s állítsa false értékre a local/config/config.inc.php fájlban';
 $lang['Main "guest" user does not exist'] = 'A "vendég" felhasználó nem létezik';
 $lang['Main "guest" user status is incorrect'] = 'A "vendég" felhasználó státusz hibás';
@@ -554,9 +554,9 @@
 $lang['Check automatic corrections'] = 'Automatikus hibajavítás a kijelölteken';
 $lang['Apply selected corrections'] = 'A kiválasztott hibajavítás alkalmazása';
-$lang['Ignore selected anomalies'] = 'Ignorieren Sie gewählte Anomalien';
+$lang['Ignore selected anomalies'] = 'Figyelmen kívül hagyja a kijelölt rendellenességeket';
 $lang['Refresh'] = 'Frissítés';
 $lang['The anomaly will be ignored until next application version'] = 'Der Fehler wird ignoriert bis die nächste Version der Anwendung';
 $lang['Correction the anomaly will cancel the fact that it\'s ignored'] = 'Die Korrektur der Anomalie macht die Tatsache sie ignoriert ist';
-$lang['%d anomaly has been ignored.'] = '%d Anomalie ignoriert wurde.';
+$lang['%d anomaly has been ignored.'] = '%d rendellenességet hagytunk figyelmen kívül.';
 $lang['%d anomalies have been ignored.'] = '%d Anomalien ignoriert wurden.';
 $lang['Plugins which need upgrade'] = 'Az alábbi bővítményekhez frissítés érhető el';
@@ -699,4 +699,65 @@
 $lang['Save Settings'] = 'Beállítások mentése';
 $lang['Your configuration settings are saved'] = 'A beállítások mentése sikeres';
+// --------- missing translations ---- from version 2.1.0 RC1
+$lang['Categories sorted in descending order ⇑'] = 'Kategóriák csökkenő sorrendben ⇑';
+$lang['Unable to check for upgrade.'] = 'Unable to check for upgrade.';
+$lang['Execution time is out, treatment must be continued [Estmated time: %d seconds].'] = 'Időtúllépés esetén a műveletet folytatni kell [Becsült idő: %d másodperc].';
+$lang['Processing treatment.'] = 'Feldolgozás.';
+$lang['Please wait...'] = 'Kérem várjon...';
+$lang['Tools'] = 'Eszközök';
+$lang['Photos'] = 'Képek';
+$lang['Themes'] = 'Témák';
+$lang['Instructions to use Piwigo'] = 'A Piwigo használata';
+$lang['Order alphanumerically'] = 'ABC sorrendben';
+$lang['Order alphanumerically reverse'] = 'Fordított ABC sorrendben';
+$lang['Installed Themes'] = 'Telepített Témák';
+$lang['Add New Theme'] = 'Új téma hozzáadása';
+$lang['Forbid this theme to users'] = 'A téma tiltása felhasználók részére';
+$lang['Set as default theme for unregistered and new users'] = 'Téma beállítása alapértelmezettként nem regisztrált és új felhasználók részére';
+$lang['unknown'] = 'ismeretlen';
+$lang['Active Themes'] = 'Aktív Téma';
+$lang['Add write access to the "%s" directory'] = 'Add write access to the "%s" directory';
+$lang['Administration Home'] = 'Adminisztrációs oldal';
+$lang['Categories ordered alphanumerically'] = 'A kategóriák ABC sorrendbe rendezve';
+$lang['Categories ordered alphanumerically reverse'] = 'A kategóriák fordított ABC sorrendbe rendezve';
+$lang['Change Admin Colors'] = 'Adminisztrációs oldal színe';
+$lang['Delete this theme'] = 'Téma törlése';
+$lang['Directory does not exist'] = 'Könyvtár nem található';
+$lang['Download,'] = 'Töltse le,';
+$lang['FTP + Synchronization'] = 'FTP + Szinkronizálás';
+$lang['Get Support on Piwigo Forum'] = 'Támogatást kap a Piwigo fórumon';
+$lang['Help Me'] = 'Segítség';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Ez a téma nem aktiválható, mert a szülő téma nem létezik: %s';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Ez a téma nem törölhető, mert egy másik téma függ tőle: %s';
+$lang['Inactive Themes'] = 'Inaktív Témák';
+$lang['Install on your computer,'] = 'Telepítse számítógépére,';
+$lang['Make this theme available to users'] = 'A téma elérhetővé tétele a felhasználók számára';
+$lang['Page end'] = 'Page end';
+$lang['Piwigo Uploader'] = 'Piwigo Uploader';
+$lang['Read Piwigo Documentation'] = 'A Piwigo Dokumentációját itt érheti el';
+$lang['Start pLoader and add your photos.'] = 'Indítsa el a pLoader programot és töltse fel képeit.';
+$lang['Switch to clear or dark colors for administration'] = 'Átváltás a világos és sötét szín között';
+$lang['Theme has been successfully installed'] = 'A téma telepítése sikeresen megtörtént';
+$lang['Upgrade from %s to %s'] = 'Frissítés %s verzióról %s verzióra';
+$lang['Visit Gallery'] = 'Galéria megtekintése';
+$lang['Visit Piwigo project website'] = 'Ugrás a Piwigo projekt hivatalos oldalára';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'A pLoader a <em>Piwigo Uploader</em> rövidítése. A pLoader segítségével elvégezheti számítógépén a képek előkészítését, majd feltöltheti azokat a Piwigo galériájába.';
+$lang['Guest Settings'] = 'Vendég beállításai';
+$lang['Main Page'] = 'Főoldal';
+$lang['Photo Page'] = 'Kép oldal';
+$lang['Activate Navigation Bar'] = 'Navigációs sáv bekapcsolása';
+$lang['Activate Navigation Thumbnails'] = 'Navigációs bélyegképek bekapcsolása';
+$lang['Activate icon "%s"'] = 'Ikon bekapcsolása "%s"';
+$lang['Activate field "%s"'] = 'Mező bekapcsolása "%s"';
+$lang['Photo Properties'] = 'Kép tulajdonságok';
+$lang['Allow user customization'] = 'Testreszabás engedélyezése a felhasználóknak';
+$lang['Languages'] = 'Nyelvek';
+$lang['Installed Languages'] = 'Telepített Nyelvek';
+$lang['Add New Language'] = 'Új Nyelv Hozzáadása';
+$lang['Language has been successfully installed'] = 'A nyelv telepítése sikeresen megtörtént';
+$lang['Select:'] = 'Kiválaszt:';
+$lang['None'] = 'Egyik sem';
+$lang['Invert'] = 'Felcserél';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Nem lehet kikapcsolni ezt a témát, szükség van legalább még egy aktív témára.';
 
 ?>