Index: /extensions/pLoader/trunk/locale/fr_FR/pLoader.po
===================================================================
--- /extensions/pLoader/trunk/locale/fr_FR/pLoader.po	(revision 5471)
+++ /extensions/pLoader/trunk/locale/fr_FR/pLoader.po	(revision 5472)
@@ -673,2 +673,32 @@
 msgid "Remove selected photos"
 msgstr "Enlever les photos sélectionnées"
+
+msgid "Default caption pattern"
+msgstr "Format de titre par défaut"
+
+msgid "Default caption"
+msgstr "Titre par défaut"
+
+msgid "Caption + rank number"
+msgstr "Titre + N° d'ordre"
+
+msgid "Rank number + caption"
+msgstr "N° d'ordre + titre"
+
+msgid "Caption + create date chrono"
+msgstr "Titre + chrono date de création"
+
+msgid "Create date chrono + caption"
+msgstr "Chrono date de création + titre"
+
+msgid "Create date chrono + rank"
+msgstr "Chrono date de création + N° d'ordre"
+
+msgid "Rank + create date chrono"
+msgstr "N° d'ordre + chrono date de création"
+
+msgid "Preferences"
+msgstr "Préférences"
+
+msgid "Selection"
+msgstr "Sélection"
Index: /extensions/pLoader/trunk/src/Uploader/GUI/Frame.pm
===================================================================
--- /extensions/pLoader/trunk/src/Uploader/GUI/Frame.pm	(revision 5471)
+++ /extensions/pLoader/trunk/src/Uploader/GUI/Frame.pm	(revision 5472)
@@ -305,8 +305,8 @@
                     $self->imagelist->current_image->site_name;
                 },
-                pre_process => sub { sub { $self->imagelist->GetCurrentImageDefaultName(@_); } },
+                pre_process => sub { sub { $self->imagelist->GetCurrentImageCaption(@_); } },
                 choices =>
                 [
-                    map { gettext $_ } @{wxTheApp->default_photo_names}
+                    map { gettext $_ } @{wxTheApp->caption_patterns}
                 ],
                 frame_callback => sub { $self->imageviewer_item_refresh(1); },
@@ -361,5 +361,5 @@
     $self->global_settings(
         {
-            $main::DEFAULT_PHOTO_CAPTION => { label => gettext("Default photo caption") },
+            $main::DEFAULT_PHOTO_CAPTION => { label => gettext("Default caption pattern") },
             $main::CPANE_RESIZE_ADVANCED => { label => gettext("Advanced") },
             $main::CPANE_HD_ADVANCED => { label => gettext("Advanced") },
@@ -370,10 +370,10 @@
             $main::GS_CLOSE => { label => gettext("Close")},
             $main::GS_DEFAULT_PHOTO_CAPTION => {
-                string_selection => sub { $self->imagelist->default_photo_name(@_) },
+                string_selection => sub { $self->imagelist->default_caption_pattern(@_) },
                 choices =>
                 [
-                    map { gettext $_ } @{wxTheApp->default_photo_names}
+                    map { gettext $_ } @{wxTheApp->caption_patterns}
                 ],
-                pre_process => sub { my ( $value ) = @_; wxTheApp->eng_default_photo_names->{$value} },
+                pre_process => sub { my ( $value ) = @_; wxTheApp->eng_caption_patterns->{$value} },
                 frame_callback => sub { 
                     my( $self, $ctrl, $event ) = @_; 
@@ -381,7 +381,7 @@
                 },
             },
-            $main::PHOTO_CAPTION_PREFIX => { label => gettext("Photo caption  prefix") },
+            $main::PHOTO_CAPTION_PREFIX => { label => gettext("Default caption") },
             $main::GS_PHOTO_CAPTION_PREFIX => {
-                value => sub { $self->imagelist->default_name_prefix(@_) },
+                value => sub { $self->imagelist->default_caption(@_) },
             },
             $main::GS_AUTO_ROTATE => {
@@ -895,11 +895,4 @@
 
 
-sub OnDefaultPhotoNameChanged {
-    my ( $self ) = @_;
-    
-    Wx::LogMessage("New default_photo_name %s", $self->imagelist->default_photo_name);    
-}
-
-
 sub OnGeneralSettingsClose {
     my ( $self, $event ) = @_;
@@ -1073,5 +1066,5 @@
     Wx::Event::EVT_BUTTON( $self, $main::PHOTO_PROPERTIES_UPLOAD, \&OnUploadImages );
     Wx::Event::EVT_BUTTON( $self, $self->imageviewer->add_button->GetId, \&OnAddImages );
-
+    Wx::Event::EVT_KEY_DOWN($self, \&OnKeyDown );
 
     # only refresh when calling event is finished
@@ -1513,4 +1506,5 @@
 
 }
+
 
 sub OnUploadImages {
Index: /extensions/pLoader/trunk/src/Uploader/GUI/wxApp.pm
===================================================================
--- /extensions/pLoader/trunk/src/Uploader/GUI/wxApp.pm	(revision 5471)
+++ /extensions/pLoader/trunk/src/Uploader/GUI/wxApp.pm	(revision 5472)
@@ -105,6 +105,6 @@
           positions
           eng_positions
-          default_photo_names
-          eng_default_photo_names
+          caption_patterns
+          eng_caption_patterns
           upload_hd
           eng_upload_hd
@@ -173,5 +173,5 @@
     # to check if we can use stored cache
     $self->imagelist_version(
-        '13'
+        '15'
     );
     $self->argv(
@@ -364,19 +364,21 @@
     );
 	
-    $self->default_photo_names(
+    $self->caption_patterns(
         [
              'None',
              'File name',
              'File path and name',
-             'Prefix',
-             'Prefix + rank number',
-             'Rank number + prefix',
-             'Prefix + create date chrono',
-             'Create date chrono + prefix',
+             'Caption',
+             'Caption + rank number',
+             'Rank number + caption',
+             'Caption + create date chrono',
+             'Create date chrono + caption',
+             'Create date chrono + rank',
+             'Rank + create date chrono',
         ]
     );
-    $self->eng_default_photo_names(
+    $self->eng_caption_patterns(
         {
-             map { gettext($_) => $_ } @{$self->default_photo_names} 
+             map { gettext($_) => $_ } @{$self->caption_patterns} 
         }
     );
@@ -619,6 +621,6 @@
         storable_file    => $self->storable_file,
         userdata_dir     => $self->userdata_dir,
-        default_photo_name => $self->user_defined_properties->{default_photo_name}||'File name',
-        default_name_prefix => $self->user_defined_properties->{default_name_prefix}||gettext('Photo '),
+        default_caption_pattern => $self->user_defined_properties->{default_caption_pattern}||'File name',
+        default_caption  => $self->user_defined_properties->{default_caption}||gettext('Photo '),
         upload_rejects   =>  [],
         image_sums       => {},
Index: /extensions/pLoader/trunk/src/Uploader/GUI/wxGlobalSettings.pm
===================================================================
--- /extensions/pLoader/trunk/src/Uploader/GUI/wxGlobalSettings.pm	(revision 5471)
+++ /extensions/pLoader/trunk/src/Uploader/GUI/wxGlobalSettings.pm	(revision 5472)
@@ -169,5 +169,5 @@
     if('CODE' eq ref $self->properties->{$id}->{string_selection}){
         if ( $self->properties->{$id}
-            ->{string_selection}->() =~ /refix/ ){
+            ->{string_selection}->() =~ /caption/i ){
             $b=1;
         }
Index: /extensions/pLoader/trunk/src/Uploader/Image.pm
===================================================================
--- /extensions/pLoader/trunk/src/Uploader/Image.pm	(revision 5471)
+++ /extensions/pLoader/trunk/src/Uploader/Image.pm	(revision 5472)
@@ -41,4 +41,5 @@
 		height
 		privacy_level
+        caption
     /
 );
Index: /extensions/pLoader/trunk/src/Uploader/ImageList.pm
===================================================================
--- /extensions/pLoader/trunk/src/Uploader/ImageList.pm	(revision 5471)
+++ /extensions/pLoader/trunk/src/Uploader/ImageList.pm	(revision 5472)
@@ -68,7 +68,6 @@
                 progress_msg
                 last_error_msg
-                default_photo_name
-                default_photo_name_method
-                default_name_prefix
+                default_caption
+                default_caption_pattern
                 SetNewFilesViewerRefreshCallback
                 SetNewFilesProgressCallback
@@ -320,5 +319,6 @@
                 file              => $file->{ANSIPathName},
                 file_sum          => $sum,
-                site_name         => $self->_default_photo_name($file->{PathName}, $info, $i),
+                site_name         => $self->init_default_caption($file->{PathName}, $info, $i),
+                caption           => $self->default_caption,
                 site_author       => $self->author,
                 exif_metadata     => $self->_select_exif_data($info),
@@ -342,33 +342,22 @@
 }
 
-sub GetCurrentImageDefaultName {
-    my ( $self, $index, $pattern ) = @_;
-
-    $pattern = wxTheApp->eng_default_photo_names->{$pattern};
-
-    $self->SetCurrentImage($index);
-
-    my $img = $self->current_image;
-
-    $self->_photo_name_from_pattern(
-        $img->file,
-        $img->create_date,
-        $index,
-        $pattern
-    );
-}
-
-sub _default_photo_name {
+
+sub init_default_caption {
     my ( $self, $file, $info, $i ) = @_;
 
     my $create_date = $info->{CreateDate};
-    
-    
-    $self->_photo_name_from_pattern($file, $create_date, $i, $self->default_photo_name);
-}
-
-
-sub _photo_name_from_pattern {
-    my ( $self, $file, $create_date, $i, $pattern ) = @_;
+
+    $self->init_caption_from_pattern(
+        $file,
+        $create_date,
+        $i,
+        $self->default_caption,
+        $self->default_caption_pattern
+    );
+}
+
+
+sub init_caption_from_pattern {
+    my ( $self, $file, $create_date, $i, $caption, $pattern ) = @_;
 
     my ( $yyyy, $mm, $dd, $hh, $mi, $ss ) = split /[:\s]/, $create_date ;
@@ -376,5 +365,5 @@
     my $chrono = join('', $yyyy, $mm, $dd);
 
-    my $name;
+    my $caption_from_pattern;
     my $ext;
     my ( $vol, $path, $filename ) = File::Spec->splitpath($file);
@@ -382,46 +371,79 @@
     
 
-    if('Prefix' eq $pattern){
-        $name = $self->default_name_prefix
+    if('Caption' eq $pattern){
+        $caption_from_pattern = $caption
     }
     elsif('File name' eq $pattern){
-        $name = $filename
+        $caption_from_pattern = $filename
     }
     elsif('File path and name' eq $pattern){
-        $name = sprintf(
+        $caption_from_pattern = sprintf(
             "%s", 
             File::Spec->catfile($path, $filename), 
         )        
     }    
-    elsif('Prefix + rank number' eq $pattern){
-        $name = sprintf(
-            "%s%s", 
-            $self->default_name_prefix, 
+    elsif('Caption + rank number' eq $pattern){
+        $caption_from_pattern = sprintf(
+            "%s %s", 
+            $caption, 
             1+$i,
         )        
     }    
-    elsif('Rank number + prefix' eq $pattern){
-        $name = sprintf(
-            "%s%s", 
+    elsif('Rank number + caption' eq $pattern){
+        $caption_from_pattern = sprintf(
+            "%s %s", 
             1+$i,
-            $self->default_name_prefix, 
+            $caption, 
         )        
     }    
-    elsif('Prefix + create date chrono' eq $pattern){
-        $name = sprintf(
-            "%s%s", 
-            $self->default_name_prefix, 
+    elsif('Caption + create date chrono' eq $pattern){
+        $caption_from_pattern = sprintf(
+            "%s %s", 
+            $caption, 
             $chrono,
         )        
     }    
-    elsif('Create date chrono + prefix' eq $pattern){
-        $name = sprintf(
-            "%s%s", 
+    elsif('Create date chrono + caption' eq $pattern){
+        $caption_from_pattern = sprintf(
+            "%s %s", 
             $chrono,
-            $self->default_name_prefix, 
+            $caption, 
         )        
     }
-
-    $name;
+    elsif('Create date chrono + rank' eq $pattern){
+        $caption_from_pattern = sprintf(
+            "%s %s", 
+            $chrono,
+            1+$i, 
+        )        
+    }
+    elsif('Rank + create date chrono' eq $pattern){
+        $caption_from_pattern = sprintf(
+            "%s %s", 
+            1+$i, 
+            $chrono,
+        )        
+    }
+
+    $caption_from_pattern;
+}
+
+
+sub GetCurrentImageCaption {
+    my ( $self, $index, $pattern ) = @_;
+
+    $pattern = wxTheApp->eng_caption_patterns->{$pattern};
+
+    $self->SetCurrentImage($index);
+
+    my $img = $self->current_image;
+
+    $self->init_caption_from_pattern(
+        $img->file,
+        $img->create_date,
+        $index,
+        $self->current_image->caption,
+        $pattern
+    );
 }
 
@@ -742,6 +764,6 @@
                 userdata_dir
                 progress_msg
-                default_photo_name
-                default_name_prefix
+                default_caption
+                default_caption_pattern
                 upload_high
                 upload_hd
@@ -1504,8 +1526,10 @@
             else{
                 $_name = $name;
-                $self->default_name_prefix($name);
+                $self->GetImage($_)->caption(
+                    $_name
+                ) ;
             }
+
             $self->image_selection_name($_name);
-
             $self->GetImage($_)->site_name(
                 $_name