Index: trunk/language/it_IT/help/advanced_feature.html
===================================================================
--- trunk/language/it_IT/help/advanced_feature.html	(revision 5464)
+++ trunk/language/it_IT/help/advanced_feature.html	(revision 5473)
@@ -1,3 +1,3 @@
-<h2>Caratteristiche avanzate</h2>
+<h2>Funzioni avanzate</h2>
 
 <p>Lista delle funzionalità speciali per gli amministratori esperti di PWG:</p>
@@ -6,10 +6,10 @@
 
   <li>
-    <strong>Elementi non collegati:</strong>
-    Mostrare le immagini che non sono associate a una categoria virtuale.
+    <strong>Elementi sciolti:</strong>
+    Mostra le immagini che non sono associate a una categoria virtuale.
   </li>
   <li>
-    <strong>File con lo stesso nome in più di una categoria fisica:</strong>
-    Mostrare le immagini o qualunque file trovati con lo stesso nome in più categorie.
+    <strong>File con lo stesso nome in più categorie fisiche:</strong>
+    Mostra le immagini o altri file trovati con lo stesso nome in più categorie.
   </li>
 
Index: trunk/language/it_IT/help/cat_modify.html
===================================================================
--- trunk/language/it_IT/help/cat_modify.html	(revision 5464)
+++ trunk/language/it_IT/help/cat_modify.html	(revision 5473)
@@ -9,5 +9,5 @@
 
   <li><strong>descrizione</strong>: dare un'idea generale del contenuto,
-  questo testo apparirà in fondo della pagina delle miniature.</li>
+  questo testo apparirà in fondo, nella pagina delle miniature.</li>
 
 </ul>
Index: trunk/language/it_IT/help/cat_options.html
===================================================================
--- trunk/language/it_IT/help/cat_options.html	(revision 5464)
+++ trunk/language/it_IT/help/cat_options.html	(revision 5473)
@@ -22,5 +22,5 @@
 bloccate. Se una categoria è sbloccata, tutte le categorie madri vengono sbloccare.</dd>
 
-  <dt>Pubblica / privata</dt>
+  <dt>Pubblica / Privata</dt>
 
   <dd>Gestione dello statuto delle categorie. La gestione dei permessi è possibile 
@@ -35,6 +35,5 @@
 <code>allow_random_representative</code> (vedi <span
 class="filename">include/config_defaults.inc.php</span>) è a 
-<em>true</em>. Ogni categoria può essere rappresentata da un'unica miniatura
-fissa scelta a caso.</dd>
+<em>true</em>. Ogni categoria può essere rappresentata da un'unica miniatura fissa scelta a caso.</dd>
 
 </dl>
Index: trunk/language/it_IT/help/cat_perm.html
===================================================================
--- trunk/language/it_IT/help/cat_perm.html	(revision 5464)
+++ trunk/language/it_IT/help/cat_perm.html	(revision 5473)
@@ -7,9 +7,9 @@
 <h3>Gruppi</h3>
 
-<p>Potete negare o concedere l'accesso ai gruppi. Modificando le 
-autorizzazioni ai gruppi, modificherete probabilmente l'elenco degli 
-utenti autorizzati grazie all'appartenenza ai gruppi. </p>
+<p>Potete concedere o negare l'accesso dei gruppi per la categoria corrente.
+Di conseguenza, gli utenti che appartengono a questi gruppi si vedranno autorizzati o no al accesso alla sudetta categoria. </p>
 
 <h3>Utenti</h3>
 
-<p>Potete negare o concedere l'accesso agli utenti individualmente.</p>
+<p>Potete concedere o negare l'accesso agli utenti per una categoria in modo individuale.
+Gli utenti autorissazi al accesso a una categoria grazie all'appartenenza ad un gruppo, li si può negare l'accesso attivando un'eccezione</p>
Index: trunk/language/it_IT/help/index.php
===================================================================
--- trunk/language/it_IT/help/index.php	(revision 5464)
+++ trunk/language/it_IT/help/index.php	(revision 5473)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
-// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
-// | last modifier : $Author: rub $
-// | revision      : $Revision: 1912 $
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |