Index: /trunk/admin/themes/default/template/footer.tpl
===================================================================
--- /trunk/admin/themes/default/template/footer.tpl	(revision 5492)
+++ /trunk/admin/themes/default/template/footer.tpl	(revision 5493)
@@ -23,9 +23,9 @@
 
   {'Powered by'|@translate}
-  <a href="{$PHPWG_URL}" title="{'Visit Piwigo project website'|@translate}">
+  <a class="externalLink" href="{$PHPWG_URL}" title="{'Visit Piwigo project website'|@translate}">
   <span class="Piwigo">Piwigo</span></a>
   {$VERSION}
-  | <a class="external" href="{$pwgmenu.WIKI}" title="{'Read Piwigo Documentation'|@translate}" onclick="window.open(this.href, ''); return false;">{'Documentation'|@translate}</a>
-  | <a class="external" href="{$pwgmenu.FORUM}" title="{'Get Support on Piwigo Forum'|@translate}" onclick="window.open(this.href, ''); return false;">{'Support'|@translate}</a>
+  | <a class="externalLink" href="{$pwgmenu.WIKI}" title="{'Read Piwigo Documentation'|@translate}">{'Documentation'|@translate}</a>
+  | <a class="externalLink" href="{$pwgmenu.FORUM}" title="{'Get Support on Piwigo Forum'|@translate}">{'Support'|@translate}</a>
   </div> <!-- piwigoInfos -->
 
Index: /trunk/admin/themes/default/template/intro.tpl
===================================================================
--- /trunk/admin/themes/default/template/intro.tpl	(revision 5492)
+++ /trunk/admin/themes/default/template/intro.tpl	(revision 5493)
@@ -18,5 +18,5 @@
       <li><a href="{$U_CHECK_UPGRADE}">{'Check for upgrade'|@translate}</a></li>
 {if isset($SUBSCRIBE_BASE_URL)}
-      <li><a href="{$SUBSCRIBE_BASE_URL}{$EMAIL}" onclick="window.open(this.href); return false;" class="cluetip" title="{'Piwigo Announcements Newsletter'|@translate}|{'Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'|@translate|htmlspecialchars|nl2br}">{'Subscribe %s to Piwigo Announcements Newsletter'|@translate|@sprintf:$EMAIL}</a></li>
+      <li><a href="{$SUBSCRIBE_BASE_URL}{$EMAIL}" class="externalLink cluetip" title="{'Piwigo Announcements Newsletter'|@translate}|{'Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'|@translate|htmlspecialchars|nl2br}">{'Subscribe %s to Piwigo Announcements Newsletter'|@translate|@sprintf:$EMAIL}</a></li>
 {/if}
     </ul>
@@ -27,6 +27,5 @@
     <ul>
       <li>{'Operating system'|@translate}: {$OS}</li>
-      <li>PHP: {$PHP_VERSION} (<a href="{$U_PHPINFO}" onclick="window.open(this.href, ''); 
-          return false;">{'Show info'|@translate}</a>)  [{$PHP_DATATIME}]</li>
+      <li>PHP: {$PHP_VERSION} (<a href="{$U_PHPINFO}" class="externalLink">{'Show info'|@translate}</a>)  [{$PHP_DATATIME}]</li>
       <li>{$DB_ENGINE}: {$DB_VERSION} [{$DB_DATATIME}]</li>
     </ul>
Index: /trunk/admin/themes/default/template/languages_new.tpl
===================================================================
--- /trunk/admin/themes/default/template/languages_new.tpl	(revision 5492)
+++ /trunk/admin/themes/default/template/languages_new.tpl	(revision 5493)
@@ -28,6 +28,6 @@
 {foreach from=$languages item=language name=languages_loop}
   <tr class="{if $smarty.foreach.languages_loop.index is odd}row1{else}row2{/if}">
-    <td><a href="{$language.EXT_URL}" onclick="window.open(this.href); return false;" class="cluetip" title="{$language.EXT_NAME}|{$language.EXT_DESC|htmlspecialchars|nl2br}">{$language.EXT_NAME}</a></td>
-    <td style="text-align:center;"><a href="{$language.EXT_URL}" onclick="window.open(this.href); return false;" class="cluetip" title="{$language.EXT_NAME}|{$language.VER_DESC|htmlspecialchars|nl2br}">{$language.VERSION}</a></td>
+    <td><a href="{$language.EXT_URL}" class="externalLink cluetip" title="{$language.EXT_NAME}|{$language.EXT_DESC|htmlspecialchars|nl2br}">{$language.EXT_NAME}</a></td>
+    <td style="text-align:center;"><a href="{$language.EXT_URL}" class="externalLink cluetip" title="{$language.EXT_NAME}|{$language.VER_DESC|htmlspecialchars|nl2br}">{$language.VERSION}</a></td>
     <td>{$language.DATE}</td>
     <td>{$language.AUTHOR}</td>
Index: /trunk/admin/themes/default/template/photos_add_direct.tpl
===================================================================
--- /trunk/admin/themes/default/template/photos_add_direct.tpl	(revision 5492)
+++ /trunk/admin/themes/default/template/photos_add_direct.tpl	(revision 5493)
@@ -93,5 +93,5 @@
   <div>
   {foreach from=$thumbnails item=thumbnail}
-    <a href="{$thumbnail.link}" onclick="window.open(this.href); return false;">
+    <a href="{$thumbnail.link}" class="externalLink">
       <img src="{$thumbnail.src}" alt="{$thumbnail.file}" title="{$thumbnail.title}" class="thumbnail">
     </a>
Index: /trunk/admin/themes/default/template/plugins_new.tpl
===================================================================
--- /trunk/admin/themes/default/template/plugins_new.tpl	(revision 5492)
+++ /trunk/admin/themes/default/template/plugins_new.tpl	(revision 5493)
@@ -35,6 +35,6 @@
 {foreach from=$plugins item=plugin name=plugins_loop}
   <tr class="{if $smarty.foreach.plugins_loop.index is odd}row1{else}row2{/if}">
-    <td><a href="{$plugin.EXT_URL}" onclick="window.open(this.href); return false;" class="cluetip" title="{$plugin.EXT_NAME}|{$plugin.EXT_DESC|htmlspecialchars|nl2br}">{$plugin.EXT_NAME}</a></td>
-    <td style="text-align:center;"><a href="{$plugin.EXT_URL}" onclick="window.open(this.href); return false;" class="cluetip" title="{$plugin.EXT_NAME}|{$plugin.VER_DESC|htmlspecialchars|nl2br}">{$plugin.VERSION}</a></td>
+    <td><a href="{$plugin.EXT_URL}" class="externalLink cluetip" title="{$plugin.EXT_NAME}|{$plugin.EXT_DESC|htmlspecialchars|nl2br}">{$plugin.EXT_NAME}</a></td>
+    <td style="text-align:center;"><a href="{$plugin.EXT_URL}" class="externalLink cluetip" title="{$plugin.EXT_NAME}|{$plugin.VER_DESC|htmlspecialchars|nl2br}">{$plugin.VERSION}</a></td>
     <td>{$plugin.DATE}</td>
     <td>{$plugin.AUTHOR}</td>
Index: /trunk/admin/themes/default/template/plugins_update.tpl
===================================================================
--- /trunk/admin/themes/default/template/plugins_update.tpl	(revision 5492)
+++ /trunk/admin/themes/default/template/plugins_update.tpl	(revision 5493)
@@ -29,7 +29,7 @@
 {foreach from=$plugins_not_uptodate item=plugin name=plugins_loop}
   <tr class="{if $smarty.foreach.plugins_loop.index is odd}row1{else}row2{/if}">
-    <td><a href="{$plugin.EXT_URL}" onclick="window.open(this.href); return false;" class="cluetip" title="{$plugin.EXT_NAME}|{$plugin.EXT_DESC|htmlspecialchars|nl2br}">{$plugin.EXT_NAME}</a></td>
+    <td><a href="{$plugin.EXT_URL}" class="externalLink cluetip" title="{$plugin.EXT_NAME}|{$plugin.EXT_DESC|htmlspecialchars|nl2br}">{$plugin.EXT_NAME}</a></td>
     <td style="text-align:center;">{$plugin.VERSION}</td>
-    <td style="text-align:center;"><a href="{$plugin.EXT_URL}" onclick="window.open(this.href); return false;" class="cluetip" title="{$plugin.EXT_NAME}|{$plugin.NEW_VER_DESC|htmlspecialchars|nl2br}">{$plugin.NEW_VERSION}</a></td>
+    <td style="text-align:center;"><a href="{$plugin.EXT_URL}" class="externalLink cluetip" title="{$plugin.EXT_NAME}|{$plugin.NEW_VER_DESC|htmlspecialchars|nl2br}">{$plugin.NEW_VERSION}</a></td>
     <td style="text-align:center;"><a href="{$plugin.URL_UPDATE}" onclick="return confirm('{'Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'|@translate|@escape:javascript}');">{'Automatic upgrade'|@translate}</a>
       / <a href="{$plugin.URL_DOWNLOAD}">{'Download file'|@translate}</a></td>
@@ -52,6 +52,6 @@
 {foreach from=$plugins_uptodate item=plugin name=plugins_loop}
   <tr class="{if $smarty.foreach.plugins_loop.index is odd}row1{else}row2{/if}">
-    <td><a href="{$plugin.URL}" onclick="window.open(this.href); return false;" class="cluetip" title="{$plugin.NAME}|{$plugin.EXT_DESC|htmlspecialchars|nl2br}">{$plugin.NAME}</a></td>
-    <td style="text-align:center;"><a href="{$plugin.URL}" onclick="window.open(this.href); return false;" class="cluetip" title="{$plugin.NAME}|{$plugin.VER_DESC|htmlspecialchars|nl2br}">{$plugin.VERSION}</a></td>
+    <td><a href="{$plugin.URL}" class="externalLink cluetip" title="{$plugin.NAME}|{$plugin.EXT_DESC|htmlspecialchars|nl2br}">{$plugin.NAME}</a></td>
+    <td style="text-align:center;"><a href="{$plugin.URL}" class="externalLink cluetip" title="{$plugin.NAME}|{$plugin.VER_DESC|htmlspecialchars|nl2br}">{$plugin.VERSION}</a></td>
   </tr>
 {/foreach}