Index: extensions/pLoader/trunk/locale/nl_NL/pLoader.po
===================================================================
--- extensions/pLoader/trunk/locale/nl_NL/pLoader.po	(revision 5498)
+++ extensions/pLoader/trunk/locale/nl_NL/pLoader.po	(revision 5498)
@@ -0,0 +1,705 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: Piwigo pLoader\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2009-10-10 11:36+0100\n"
+"PO-Revision-Date: \n"
+"Last-Translator: Kees Hessels <kees.hessels@hetnet.nl>\n"
+"Language-Team: Piwigo team <team@piwigo.net>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Poedit-Basepath: .\n"
+"X-Poedit-SearchPath-0: C:/strawberry/perl/site/lib/Uploader/GUI\n"
+"X-Poedit-SearchPath-1: d:/pLoader/res\n"
+
+msgid "Select photos for upload"
+msgstr "Selecteer de over te zetten afbeeldingen"
+
+msgid "JPEG files"
+msgstr "JPEG-bestanden"
+
+msgid "Default author"
+msgstr "Standaard Maker"
+
+msgid "Photo caption  prefix"
+msgstr "Foto bijschrift voorvoegsel"
+
+msgid "Site thumbnail size"
+msgstr "Formaat van de mini-afbeeldingen"
+
+msgid "Site image width"
+msgstr "Breedte van de afbeeldingen"
+
+msgid "Site image height"
+msgstr "Hoogte van de afbeeldingen"
+
+msgid "Auto rotate image"
+msgstr "Afbeelding automatisch roteren"
+
+msgid "Upload high (original size) "
+msgstr "Uploaden met hoge definitie (origineel formaat)"
+
+msgid "Upload high definition "
+msgstr "Upload hoge definitie"
+
+msgid "High definition"
+msgstr "Hoge definitie"
+
+msgid "Yes"
+msgstr "Ja"
+
+msgid "No"
+msgstr "Nee"
+
+msgid "Admin. username"
+msgstr "Admin. Gebruikersnaam"
+
+msgid "Admin. password"
+msgstr "Admin. wachtwoord"
+
+msgid "OK"
+msgstr "OK"
+
+msgid "Cancel"
+msgstr "Annuleer"
+
+msgid "Create date"
+msgstr "Aanmaakdatum"
+
+msgid "Width"
+msgstr "Breedte"
+
+msgid "Height"
+msgstr "Hoogte"
+
+msgid "Orientation"
+msgstr "Oriëntatie"
+
+msgid "Shutter speed"
+msgstr "Sluitertijd"
+
+msgid "Aperture"
+msgstr "Diafragma"
+
+msgid "Focal length"
+msgstr "Brandpuntsafstand"
+
+msgid "Model"
+msgstr "Model"
+
+msgid "Lens"
+msgstr "Lens"
+
+msgid "Author"
+msgstr "Maker"
+
+msgid "Comment"
+msgstr "Commentaar"
+
+msgid "Chinese"
+msgstr "Chinees"
+
+msgid "Chinese simplified"
+msgstr "Chinees vereenvoudigd"
+
+msgid "Czech"
+msgstr "Tsjechisch"
+
+msgid "Danish"
+msgstr "Deens"
+
+msgid "English"
+msgstr "Engels"
+
+msgid "German"
+msgstr "Duits"
+
+msgid "Spanish"
+msgstr "Spaans"
+
+msgid "French"
+msgstr "Frans"
+
+msgid "Hungarian"
+msgstr "Hongaars"
+
+msgid "Italian"
+msgstr "Italiaans"
+
+msgid "Japanese"
+msgstr "Japans"
+
+msgid "Dutch"
+msgstr "Nederlands"
+
+msgid "Polish"
+msgstr "Pools"
+
+msgid "Portuguese Brazil"
+msgstr "Portugees Brazilië"
+
+msgid "Portuguese Portugal"
+msgstr "Portugees Portugal"
+
+msgid "Russian"
+msgstr "Russisch"
+
+msgid "Slovak"
+msgstr "Slowaaks"
+
+msgid "Brasil"
+msgstr "Brasiliaans"
+
+msgid "pLoader needs to be restarted to display the new selected language"
+msgstr "pLoader moet worden herstart om de geselecteerde nieuwe taal te activeren"
+
+msgid "Piwigo categories"
+msgstr "Piwigo categorieën"
+
+msgid "Photo properties"
+msgstr "Eigenschappen van de afbeelding"
+
+msgid "Tools"
+msgstr "Gereedschap"
+
+msgid "Global settings"
+msgstr "Voorkeuren"
+
+msgid "Advanced"
+msgstr "Gevorderd"
+
+msgid "Transfert chunk size"
+msgstr "Grootte van de over te zetten bestands-blokken"
+
+msgid "General"
+msgstr "Algemeen"
+
+msgid "Resized"
+msgstr "Op juiste grootte gebracht"
+
+msgid "Thumbnail"
+msgstr "Mini-afbeelding"
+
+msgid "Preview"
+msgstr "Preview"
+
+msgid "Photo selection"
+msgstr "Geselecteerde afbeeldingen"
+
+msgid "Language choice"
+msgstr "Taal-keuze"
+
+msgid "Choose a language"
+msgstr "Kies een taal"
+
+msgid "Upload to Piwigo"
+msgstr "Zet over naar Piwigo"
+
+msgid "Remove photo from selection"
+msgstr "Verwijder afbeelding van selectie"
+
+msgid "Add photo to selection"
+msgstr "Voef afbeelding toe aan selectie"
+
+msgid "Not connected"
+msgstr "Niet verbonden"
+
+msgid "Connection to"
+msgstr "Verbinding met"
+
+msgid "failed"
+msgstr "mislukt"
+
+msgid "Piwigo login"
+msgstr "aanmelding bij Piwigo"
+
+msgid "Piwigo login error"
+msgstr "Aanmeldings-fout Piwigo"
+
+msgid "Please select a valid target category"
+msgstr "Aub een bestaande categorie selecteren"
+
+msgid "Piwigo upload error"
+msgstr "Upload-fout naar Piwigo"
+
+msgid "Category name"
+msgstr "Categorienaam"
+
+msgid "Add new category"
+msgstr "Nieuwe categirie toevoegen"
+
+msgid "New category"
+msgstr "Nieuwe categorie"
+
+msgid "Upload cancelled"
+msgstr "Upload geannuleerd"
+
+msgid "Image upload progress information"
+msgstr "Informatie over de voortgang van het overzetten van de afbeelding"
+
+msgid "Cancel upload"
+msgstr "Annuleer upload"
+
+msgid "Piwigo upload information"
+msgstr "Piwigo upload informatie"
+
+msgid "Processing"
+msgstr "Verwerking"
+
+msgid "images processed"
+msgstr "verwerkte afbeeldingen"
+
+msgid "images uploaded"
+msgstr "afbeeldingen ge-upload"
+
+msgid "images in errors and not uploaded"
+msgstr "afmeeldingen met fouten en niet ge-upload"
+
+msgid "Duration"
+msgstr "Duur"
+
+msgid "seconds"
+msgstr "seconden"
+
+msgid "Categories"
+msgstr "Categorieën"
+
+msgid "categories"
+msgstr "categorieën"
+
+msgid "Categorie"
+msgstr "Categorie"
+
+msgid "categorie"
+msgstr "categorie"
+
+msgid "Album"
+msgstr "Album"
+
+msgid "Albums"
+msgstr "Albums"
+
+msgid "album"
+msgstr "album"
+
+msgid "albums"
+msgstr "albums"
+
+msgid "Photo caption"
+msgstr "Afbeeldings-bijschrift"
+
+msgid "File name"
+msgstr "Bestandsnaam"
+
+msgid "Default photo caption"
+msgstr "Standaard afbeeldings-bijschrift"
+
+msgid "Resize site image"
+msgstr "Maak afbeelding passend"
+
+msgid "Auto rotate"
+msgstr "Automatische rotatie"
+
+msgid "Upload high (original size)"
+msgstr "Uploaden met hoge definitie (origineel formaat)"
+
+msgid "Site image jpeg quality"
+msgstr "Jpeg-kwaliteit van de afbeelding"
+
+msgid "Site image filter"
+msgstr "Afbeeldings-filter"
+
+msgid "Site image blur"
+msgstr "Afbeeldings-vervaging (blur)"
+
+msgid "Site image interlace"
+msgstr "Afbeeldings-interlace"
+
+msgid "Site thumbnail jpeg quality"
+msgstr "Jpeg-kwaliteit van de mini-afbeeldingen"
+
+msgid "Photo selection thumbnail size"
+msgstr "Grootte van de mini-afbeelding"
+
+msgid "Photo selection thumbnail jpeg quality"
+msgstr "Jpeg-kwaliteit van de mini-afbeelding"
+
+msgid "Use exif preview when available"
+msgstr "Gebruik exif preview wanneer beschikbaar"
+
+msgid "Custom preview ratio"
+msgstr "Aangepaste preview-verhouding"
+
+msgid "Piwigo url"
+msgstr "Piwigo URL"
+
+msgid "Connect"
+msgstr "Verbinden"
+
+msgid "Work Offline"
+msgstr "Offline werken"
+
+msgid "Exit"
+msgstr "Exit"
+
+msgid "empty - work Offline"
+msgstr "leeg - werk offline"
+
+msgid "None"
+msgstr "Geen"
+
+msgid "File path and name"
+msgstr "Pad en bestandsnaam"
+
+msgid "Prefix"
+msgstr "Voorvoegsel (prefix)"
+
+msgid "Prefix + rank number"
+msgstr "Voorvoegsel (prefix) + rangnummer"
+
+msgid "Rank number + prefix"
+msgstr "Rangnummer + voorvoegsel (prefix)"
+
+msgid "Prefix + create date chrono"
+msgstr "Voorvoegsel"
+
+msgid "Create date chrono + prefix"
+msgstr "Aanmaakdatum chronologisch + voorvoegsel (prefix)"
+
+msgid "Photo"
+msgstr "Afbeelding"
+
+msgid "Image processing progress information"
+msgstr "Informatie over de voortgang van de verwerking van de afbeeldingen"
+
+msgid "Cancel image processing"
+msgstr "Annuleer de verwerking van de afbeeldingen"
+
+msgid "Add new album"
+msgstr "Een nieuw album toevoegen"
+
+msgid "Album name"
+msgstr "Naam van het album"
+
+msgid "New album"
+msgstr "Nieuw album"
+
+msgid "Refresh"
+msgstr "Verversen"
+
+msgid "Expand all"
+msgstr "Alles uitklappen"
+
+msgid "Collapse all"
+msgstr "Alles inklappen"
+
+msgid "Getting started"
+msgstr "aan de slag"
+
+msgid "Properties"
+msgstr "Eigenschappen"
+
+msgid "Remove uploaded photo from selection"
+msgstr "Verwijder de ge-uploade afbeeldingen van de selectie"
+
+msgid "Activate watermark"
+msgstr "Activeer watermerk"
+
+msgid "Activate watermark on high definition"
+msgstr "Activeer watermerk met hoge definitie"
+
+msgid "Text"
+msgstr "Tekst"
+
+msgid "Text size"
+msgstr "Tekstgrootte"
+
+msgid "Color"
+msgstr "Kleur"
+
+msgid "Position"
+msgstr "Positie"
+
+msgid "Top margin"
+msgstr "Marge boven"
+
+msgid "Left margin"
+msgstr "Marge links"
+
+msgid "White"
+msgstr "Wit"
+
+msgid "Black"
+msgstr "Zwart"
+
+msgid "Top"
+msgstr "Boven"
+
+msgid "Top left"
+msgstr "Boven links"
+
+msgid "Top right"
+msgstr "Boven rechts"
+
+msgid "Bottom"
+msgstr "Onder"
+
+msgid "Bottom left"
+msgstr "Onder links"
+
+msgid "Bottom right"
+msgstr "Onder rechts"
+
+msgid "Center"
+msgstr "Midden"
+
+msgid "Left"
+msgstr "Links"
+
+msgid "Right"
+msgstr "Rechts"
+
+msgid "my watermark"
+msgstr "Mijn watermerk"
+
+msgid "Show"
+msgstr "Laat zien"
+
+msgid "All"
+msgstr "Alles"
+
+msgid "Selected"
+msgstr "Geselecteerd"
+
+msgid "Not selected"
+msgstr "Niet geselecteerd"
+
+msgid "Uploading"
+msgstr "Bezig met upload"
+
+msgid "Uploading resized"
+msgstr "Bezig met upload van aangepaste afbeelding"
+
+msgid "Uploading thumbnail"
+msgstr "Bezig met upload van hoge defintie mini-afbeelding"
+
+msgid "Uploading high definition"
+msgstr "Bezig met upload van hoge defintie afbeelding"
+
+msgid "Checksum for"
+msgstr "Controlecijfer (Checksum) voor"
+
+msgid "Communication error with"
+msgstr "Communicatiefout met"
+
+msgid "Thumbnail image done for"
+msgstr "Mini-afbeelding gemaakt voor"
+
+msgid "HD image done for"
+msgstr "Hoge definitie afbeelding gemaakt voor"
+
+msgid "Resized image done for"
+msgstr "Aangepaste afbeelding gemaakt voor"
+
+msgid "Uploaded"
+msgstr "Ge-upload"
+
+msgid "Preparing resized image for"
+msgstr "Bezig met aanmaken aagepaste afbeelding"
+
+msgid "Close"
+msgstr "Sluit"
+
+msgid "on"
+msgstr "op"
+
+msgid "photos added to the selection"
+msgstr "afbeeldingen toegevoegd aan de selectie"
+
+msgid "errors"
+msgstr "fouten"
+
+msgid "Yes, use HD resized of the original photo"
+msgstr "Ja, gebruik een HD aangepaste afbeelding van het origineel"
+
+msgid "Yes, use a copy of the original photo"
+msgstr "Oui, une copie de la photo originale"
+
+msgid "HD image width"
+msgstr "HD-afbeelding breedte"
+
+msgid "HD image height"
+msgstr "HD-afbeelding hoogte"
+
+msgid "HD image jpeg quality"
+msgstr "HD-afbeelding jpeg-kwaliteit"
+
+msgid "HD image filter"
+msgstr "HD-afbeelding filter"
+
+msgid "HD image blur"
+msgstr "HD-afbeelding vervaging (blur)"
+
+msgid "HD image interlace"
+msgstr "HD-afbeelding interlace"
+
+msgid "nothing"
+msgstr "niets"
+
+msgid "replace"
+msgstr "vervangen"
+
+msgid "fill if empty (only replace properties currently empty in Piwigo)"
+msgstr "vullen indien leeg (vervang alleen de momenteel in Piwigo niet ingevulde eigenschappen)"
+
+msgid "append (keep existing and add new)"
+msgstr "voeg toe (bewaar bestaande en voeg nieuwe toe)"
+
+msgid "Do not ask me again"
+msgstr "Niet meer vragen"
+
+msgid "A least one photo has already been added in the past."
+msgstr "In het verleden is er minstens een foto toegevoegd."
+
+msgid "What shall we do with files? (thumbnail, resized, high resolution)"
+msgstr "Wat doen we met de bestanden? (mini-afbeelding, aangepaste, hoge resolutie)"
+
+msgid "What shall we do with single value properties?(caption, comment, author, create date)"
+msgstr "Wat doen we met de enkele waarde eigenschappen? (bijschrijft, commentaar, maker, aanmaakdatum)"
+
+msgid "What shall we do with multiple values properties? (categories, tags)"
+msgstr "Wat doen we met de enkele waarde eigenschappen? (categorieen, tags)"
+
+msgid "Photo update management"
+msgstr "Afbeeldingen update management"
+
+msgid "Who can see the photo?"
+msgstr "Wie mag deze afbeeldingen zien?"
+
+msgid "everybody"
+msgstr "iedereen"
+
+msgid "contacts"
+msgstr "contacten"
+
+msgid "friends"
+msgstr "vrienden"
+
+msgid "family"
+msgstr "familie"
+
+msgid "admins"
+msgstr "administrateurs"
+
+msgid "What shall we do with privacy level?"
+msgstr "Wat doen we met het privacy-nivo?"
+
+msgid "Thumbnail and caption"
+msgstr "Mini-afbeelding en bijschrift"
+
+msgid "Property list"
+msgstr "Eigenschappenlijst"
+
+msgid "How photo selection is displayed"
+msgstr "Hoe de selectie van afbeelding moet worden weergegeven"
+
+msgid "Use original"
+msgstr "Gebruik het origineel"
+
+msgid "Use resized original"
+msgstr "Gebruik het aangepaste origineel"
+
+msgid "Web sized"
+msgstr "web sized"
+
+msgid "Do you want to create"
+msgstr "Wilt u aanmaken"
+
+msgid "Transfer"
+msgstr "Overzetten"
+
+msgid "Click links below to start using pLoader."
+msgstr "Klik op de links hieronder om pLoader te starten."
+
+msgid "Add a new album."
+msgstr "Maak een nieuw album aan."
+
+msgid "Add photos to the selection."
+msgstr "Voeg afbeeldingen toe aan de selectie."
+
+msgid "Upload the photo selection into your album."
+msgstr "Upload de geselecteerde afbeeldingen naar je album."
+
+msgid "Photo size"
+msgstr "Grootte van de afbeelding"
+
+msgid "Maximum width"
+msgstr "Maximum breedte"
+
+msgid "Maximum height"
+msgstr "Maximale hoogte"
+
+msgid "What is the destination category?"
+msgstr "Wat is de bestemmingscategorie ?"
+
+msgid "What is the destination album?"
+msgstr "Wat is het bestemmingsalbum?"
+
+msgid "Caption"
+msgstr "Bijschrift"
+
+msgid "Who can see?"
+msgstr "Wie mag de afbeelding zien?"
+
+msgid "You have selected a batch of %s photos"
+msgstr "U heeft %s afbeeldingen geselecteerd"
+
+msgid "Changes apply to the whole batch"
+msgstr "De aanpassingen worden op alle geselecteerde afbeeldingen toegepast"
+
+msgid "Drag photos here to get started"
+msgstr "Sleep afbeeldingen hier naar toe om te beginnen"
+
+msgid "Or click"
+msgstr "Of klik"
+
+msgid "to choose files on your computer"
+msgstr "om afbeeldingen op uw computer te selecteren"
+
+msgid "Add photos"
+msgstr "Voeg afbeeldingen toe"
+
+msgid "Remove selected photos"
+msgstr "Verwijder geselecteerde afbeeldingen"
+
+msgid "Default caption pattern"
+msgstr "Standaard bijschrift-patroon"
+
+msgid "Default caption"
+msgstr "Standaard bijschrift"
+
+msgid "Caption + rank number"
+msgstr "Bijschrift + rangnummer"
+
+msgid "Rank number + caption"
+msgstr "Rangnummer + bijschrift"
+
+msgid "Caption + create date chrono"
+msgstr "Bijschrift + chronologische aanmaakdatum"
+
+msgid "Create date chrono + caption"
+msgstr "Chronologische aanmaakdatum + bijschrift"
+
+msgid "Create date chrono + rank"
+msgstr "Chronologische aanmaakdatum + rangnummer"
+
+msgid "Rank + create date chrono"
+msgstr "Rangnummer + Chronologische aanmaakdatum"
+
+msgid "Preferences"
+msgstr "Voorkeuren"
+
+msgid "Selection"
+msgstr "Selectie"
+