Index: /trunk/include/picture_rate.inc.php
===================================================================
--- /trunk/include/picture_rate.inc.php	(revision 5499)
+++ /trunk/include/picture_rate.inc.php	(revision 5500)
@@ -34,5 +34,4 @@
 SELECT COUNT(rate) AS count
      , ROUND(AVG(rate),2) AS average
-     , ROUND(STD(rate),2) AS std
   FROM '.RATE_TABLE.'
   WHERE element_id = '.$picture['current']['id'].'
@@ -42,5 +41,5 @@
   else
   { // avg rate null -> no rate -> no need to query db
-    $row = array( 'count'=>0, 'average'=>NULL, 'std'=>NULL );
+    $row = array( 'count'=>0, 'average'=>NULL );
   }
   $template->assign('rate_summary', $row);
Index: /trunk/language/ar_SA/common.lang.php
===================================================================
--- /trunk/language/ar_SA/common.lang.php	(revision 5499)
+++ /trunk/language/ar_SA/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (قيمت %d مرة, standard deviation = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (قيمت %d مرة)';
 $lang['%d Kb'] = '%d كيلوبايت';
 $lang['%d category updated'] = '%d تصنيف محدث';
Index: /trunk/language/cs_CZ/common.lang.php
===================================================================
--- /trunk/language/cs_CZ/common.lang.php	(revision 5499)
+++ /trunk/language/cs_CZ/common.lang.php	(revision 5500)
@@ -33,5 +33,5 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (hodnoceno %d krát, standardní odchylka = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (hodnoceno %d krát)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d category updated'] = '%d kategorie aktualizována';
Index: /trunk/language/da_DK/common.lang.php
===================================================================
--- /trunk/language/da_DK/common.lang.php	(revision 5499)
+++ /trunk/language/da_DK/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (bedømt %d gange, standard afvigelse = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (bedømt %d gange)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d category updated'] = '%d kategori opdateret';
Index: /trunk/language/de_DE/common.lang.php
===================================================================
--- /trunk/language/de_DE/common.lang.php	(revision 5499)
+++ /trunk/language/de_DE/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = false;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (beachtet %d mal, Standardabweichung  = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (beachtet %d mal)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d category updated'] = '%d Kategorie wurde aktualisiert';
Index: /trunk/language/en_UK/common.lang.php
===================================================================
--- /trunk/language/en_UK/common.lang.php	(revision 5499)
+++ /trunk/language/en_UK/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = "%.2f (rated %d times, standard deviation = %.2f)";
+$lang['%.2f (rated %d times)'] = "%.2f (rated %d times)";
 $lang['%d Kb'] = "%d Kb";
 $lang['%d category updated'] = "%d category updated";
Index: /trunk/language/es_AR/common.lang.php
===================================================================
--- /trunk/language/es_AR/common.lang.php	(revision 5499)
+++ /trunk/language/es_AR/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = false;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (marcado %d veces, desviación tipo = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (marcado %d veces)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d category updated'] = '%d categoría actualizada';
Index: /trunk/language/es_ES/common.lang.php
===================================================================
--- /trunk/language/es_ES/common.lang.php	(revision 5499)
+++ /trunk/language/es_ES/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = false;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (noté %d fois, écart type = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (noté %d fois)';
 $lang['%d Kb'] = '%d Ko';
 $lang['%d category updated'] = '%d Categoría actualizada';
Index: /trunk/language/fr_FR/common.lang.php
===================================================================
--- /trunk/language/fr_FR/common.lang.php	(revision 5499)
+++ /trunk/language/fr_FR/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = false;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (notée %d fois, écart-type = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (notée %d fois)';
 $lang['%d Kb'] = '%d Ko';
 $lang['%d category updated'] = '%d catégorie mise à jour';
Index: /trunk/language/hr_HR/common.lang.php
===================================================================
--- /trunk/language/hr_HR/common.lang.php	(revision 5499)
+++ /trunk/language/hr_HR/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (ocijenjeno %d puta, standardno odstupanje = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (ocijenjeno %d puta)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d category updated'] = '%d skupina obnovljena';
Index: /trunk/language/hu_HU/common.lang.php
===================================================================
--- /trunk/language/hu_HU/common.lang.php	(revision 5499)
+++ /trunk/language/hu_HU/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = false;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (értékelve %d alkalommal, szórás = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (értékelve %d alkalommal)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d category updated'] = '%d kategória frissítés';
Index: /trunk/language/it_IT/common.lang.php
===================================================================
--- /trunk/language/it_IT/common.lang.php	(revision 5499)
+++ /trunk/language/it_IT/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = false;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (votata %d volte, media = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (votata %d volte)';
 $lang['%d Kb'] = '%d Ko';
 $lang['%d category updated'] = '%d categoria aggiornata';
Index: /trunk/language/ja_JP/common.lang.php
===================================================================
--- /trunk/language/ja_JP/common.lang.php	(revision 5499)
+++ /trunk/language/ja_JP/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (評価 %d 回、標準偏差 = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (評価 %d 回)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d category updated'] = '%d 件のカテゴリが更新されました。';
Index: /trunk/language/nl_NL/common.lang.php
===================================================================
--- /trunk/language/nl_NL/common.lang.php	(revision 5499)
+++ /trunk/language/nl_NL/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (waardering %d aantal x, standaard deviation = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (waardering %d aantal x)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d category updated'] = '%d categorie bijgewerkt';
Index: /trunk/language/pl_PL/common.lang.php
===================================================================
--- /trunk/language/pl_PL/common.lang.php	(revision 5499)
+++ /trunk/language/pl_PL/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['code'] = 'pl';
 $lang_info['zero_plural'] = true;
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (oceniane %d razy, standard deviation = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (oceniane %d razy)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d category updated'] = '%d kategoria zaktualizowana';
Index: /trunk/language/pt_BR/common.lang.php
===================================================================
--- /trunk/language/pt_BR/common.lang.php	(revision 5499)
+++ /trunk/language/pt_BR/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = false;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (avaliada %d vezes, margem de erro = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (avaliada %d vezes)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d category updated'] = '%d categoria atualizada';
Index: /trunk/language/pt_PT/common.lang.php
===================================================================
--- /trunk/language/pt_PT/common.lang.php	(revision 5499)
+++ /trunk/language/pt_PT/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = false;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (avaliada %d vezes, margem de erro = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (avaliada %d vezes)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d category updated'] = '%d categoria atualizada';
Index: /trunk/language/ru_RU/common.lang.php
===================================================================
--- /trunk/language/ru_RU/common.lang.php	(revision 5499)
+++ /trunk/language/ru_RU/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (%d оценок, разброс = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (%d оценок)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d category updated'] = '%d категория дополнена';
Index: /trunk/language/sr_RS/common.lang.php
===================================================================
--- /trunk/language/sr_RS/common.lang.php	(revision 5499)
+++ /trunk/language/sr_RS/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (ocenjeno %d puta, standardno odstupanje = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (ocenjeno %d puta)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d category updated'] = '%d kategorija obnovljena';
Index: /trunk/language/vi_VN/common.lang.php
===================================================================
--- /trunk/language/vi_VN/common.lang.php	(revision 5499)
+++ /trunk/language/vi_VN/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (rated %d times, standard deviation = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (rated %d times)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d category updated'] = '%d đề mục đã được cập nhật';
Index: /trunk/language/zh_CN/common.lang.php
===================================================================
--- /trunk/language/zh_CN/common.lang.php	(revision 5499)
+++ /trunk/language/zh_CN/common.lang.php	(revision 5500)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = false;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (标注 %d 次, 标准差 = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (标注 %d 次)';
 $lang['%d Kb'] = '%d KB';
 $lang['%d category updated'] = '%d 类已更新';
Index: /trunk/themes/default/template/picture.tpl
===================================================================
--- /trunk/themes/default/template/picture.tpl	(revision 5499)
+++ /trunk/themes/default/template/picture.tpl	(revision 5500)
@@ -187,6 +187,6 @@
 		<td class="value" id="ratingSummary">
 		{if $rate_summary.count}
-			{assign var='rate_text' value='%.2f (rated %d times, standard deviation = %.2f)'|@translate }
-			{$pwg->sprintf($rate_text, $rate_summary.average, $rate_summary.count, $rate_summary.std) }
+			{assign var='rate_text' value='%.2f (rated %d times)'|@translate }
+			{$pwg->sprintf($rate_text, $rate_summary.average, $rate_summary.count) }
 		{else}
 			{'no rate'|@translate}
@@ -216,5 +216,5 @@
 			makeNiceRatingForm( {ldelim}rootUrl: '{$ROOT_URL|@escape:"javascript"}', image_id: {$current.id},
 			updateRateText: "{'Update your rating'|@translate|@escape:'javascript'}", updateRateElement: document.getElementById("updateRate"),
-			ratingSummaryText: "{'%.2f (rated %d times, standard deviation = %.2f)'|@translate|@escape:'javascript'}", ratingSummaryElement: document.getElementById("ratingSummary") {rdelim} );
+			ratingSummaryText: "{'%.2f (rated %d times)'|@translate|@escape:'javascript'}", ratingSummaryElement: document.getElementById("ratingSummary") {rdelim} );
 			</script>
 			</div>