Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 5500)
+++ /trunk/language/es_ES/admin.lang.php	(revision 5501)
@@ -50,5 +50,5 @@
 $lang['%d waiting pictures validated'] = '%d imágenes validadas en espera';
 $lang['Actions'] = 'Acciones';
-$lang['Activate'] = 'Activar';
+$lang['Activate'] = 'Activada';
 $lang['Add/delete a permalink'] = 'Añadir / borrar un lazo permanente';
 $lang['Add a tag'] = 'Añadir una etiqueta';
@@ -74,5 +74,5 @@
 $lang['Current name'] = 'Nombre corriente';
 $lang['Database'] = 'Base de datos';
-$lang['Deactivate'] = 'Desactivar';
+$lang['Deactivate'] = 'Desactivada';
 $lang['Delete Representant'] = 'Suprimir al representante';
 $lang['Delete selected tags'] = 'Suprimir las etiquetas seleccionadas';
@@ -707,5 +707,5 @@
 $lang['Save Settings'] = 'Registrar los parámetros';
 $lang['Your configuration settings are saved'] = 'Sus parámetros de configuraciones son registrados';
-$lang['Active Themes'] = 'Temas activar';
+$lang['Active Themes'] = 'Temas activadas';
 $lang['Add write access to the "%s" directory'] = 'Añada el acceso en escritura para el repertorio';
 $lang['Administration Home'] = 'Acogida administración ';
@@ -721,5 +721,5 @@
 $lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'La activación de este tema es imposible, porque el tema allegado es faltante: %s';
 $lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Este tema no puede ser suprimido, porque otros tema dependen de él: %s';
-$lang['Inactive Themes'] = 'Temas desactivados';
+$lang['Inactive Themes'] = 'Temas desactivadas';
 $lang['Install on your computer,'] = 'Instale sobre su ordenador,';
 $lang['Make this theme available to users'] = 'Devolver este tema disponible para los usuarios';
@@ -739,6 +739,6 @@
 $lang['Activate Navigation Bar'] = 'Acelerar la barra de navegación';
 $lang['Activate Navigation Thumbnails'] = 'Acelerar las miniaturas de navegación';
-$lang['Activate icon "%s"'] = 'Activar el icono "%s"';
-$lang['Activate field "%s"'] = 'Activar el campo "%s"';
+$lang['Activate icon "%s"'] = 'Activada el icono "%s"';
+$lang['Activate field "%s"'] = 'Activada el campo "%s"';
 $lang['Photo Properties'] = 'Propiedades de la foto';
 $lang['Allow user customization'] = 'Permitir la personalización de la fijación';
@@ -750,14 +750,22 @@
 $lang['None'] = 'Nada';
 $lang['Invert'] = 'Invertir';
-$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Imposible desactivar este tema, debe quedar por lo menos un tema acelerado.';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Imposible desactivada este tema, debe quedar por lo menos un tema acelerado.';
 $lang['Webmaster status is required.'] = 'Usted debe tener el status de "webmaster".';
 $lang['Bound Theme'] = 'Tema relacionado';
 $lang['Allow rating'] = "Permitir las notaciones";
 $lang['Select at least one comment'] = 'Seleccione por lo menos un comentario';
-$lang['Active Plugins'] = 'Plugins activar';
-$lang['Inactive Plugins'] = 'Plugins desactivar';
+$lang['Active Plugins'] = 'Plugins activadas';
+$lang['Inactive Plugins'] = 'Plugins desactivadas';
 $lang['Missing Plugins'] = 'Plugins ausentes';
 $lang['Uninstalled Plugins'] = 'Plugins no instalados';
 $lang['By %s'] = 'Para %s';
 $lang['Visit plugin site'] = 'Visite la sitio del plugin';
+$lang['Active Languages'] = 'Idiomas activadas';
+$lang['Delete this language'] = 'Suprimir esta idioma';
+$lang['Forbid this language to users'] = 'Prohibirles esta idioma a los usuarios';
+$lang['Impossible to deactivate this language, first set another language as default.'] = 'Imposible desactivada esta idioma, comience por definir otra idioma por defecto.';
+$lang['Impossible to deactivate this language, you need at least one language.'] = 'Imposible desactivada esta idioma, debe quedar por lo menos una idioma.';
+$lang['Inactive Languages'] = 'Idiomas desactivadas';
+$lang['Make this language available to users'] = 'Devolver esta idioma disponible para los usuarios';
+$lang['Set as default language for unregistered and new users'] = 'Idioma por defecto para los invitados y los nuevos usuarios';
 ?>