Index: trunk/language/nl_NL/admin.lang.php
===================================================================
--- trunk/language/nl_NL/admin.lang.php	(revision 5506)
+++ trunk/language/nl_NL/admin.lang.php	(revision 5508)
@@ -84,5 +84,5 @@
 $lang['Display options'] = 'Toon opties';
 $lang['Dissociated'] = 'Niet gelinkt';
-$lang['Does not represent'] = 'Is niet aanwezig';
+$lang['Does not represent'] = 'Representeerd niet';
 $lang['Edit all picture informations'] = 'Bewerk afbeeldingsinformatie';
 $lang['Edit selected tags'] = 'Bewerk geselecteerde tags';
@@ -93,5 +93,5 @@
 $lang['Email admins when a comment requires validation'] = 'Stuur email naar beheerders wanneer een commantaar validatie nodig heeft';
 $lang['Email admins when a picture is uploaded'] = 'Stuur email naar beheerders wanneer een afbeelding is ge-upload';
-$lang['Empty caddie'] = 'Leeg winkelmandje';
+$lang['Empty caddie'] = 'Maak uw winkelmandje helemaal leeg (verwijder alle afbeeldingen)';
 $lang['Environment'] = 'Omgeving';
 $lang['Form'] = 'Formulier';
@@ -113,6 +113,6 @@
 $lang['Maintenance'] = 'Onderhoud';
 $lang['Manage permissions for a category'] = 'Beheer rechten van een categorie';
-$lang['Manage permissions for group "%s"'] = 'Beheer rechten van een groep "%s"';
-$lang['Manage permissions for user "%s"'] = 'Beheer rechten van een gebruiker "%s"';
+$lang['Manage permissions for group "%s"'] = 'Beheer rechten van groep "%s"';
+$lang['Manage permissions for user "%s"'] = 'Beheer rechten van gebruiker "%s"';
 $lang['Manage tags'] = 'Beheer tags';
 $lang['Members'] = 'Leden';
@@ -174,5 +174,5 @@
 $lang['Tag "%s" was added'] = 'Tag "%s" is toegevoegd';
 $lang['Tag selection'] = 'Tag selectie';
-$lang['Take selected elements out of caddie'] = 'Neem geselecteerde afbeeldingen uit het winkelmandje';
+$lang['Take selected elements out of caddie'] = 'Verwijder de geselecteerde afbeeldingen uit het winkelmandje';
 $lang['The following tag were deleted'] = 'De volgende tag is verwijderd';
 $lang['The %d following tags were deleted'] = 'De %d volgende tags zijn verwijderd';
@@ -251,5 +251,5 @@
 $lang['jump to image'] = 'Ga naar afbeelding';
 $lang['leave'] = 'Niet wijzigen';
-$lang['Lock'] = 'Open / Gesloten';
+$lang['Lock'] = 'Gesloten';
 $lang['Locked'] = 'Gesloten categorie';
 $lang['manage category elements'] = 'Beheer categorie-afbeeldingen';
@@ -357,5 +357,5 @@
 $lang['Create a new site : (give its URL to create_listing_file.php)'] = 'Maak een nieuwe site : (geef de URL naar bestand create_listing_file.php)';
 $lang['created'] = 'gemaakt';
-$lang['delete'] = 'verwijderen';
+$lang['delete'] = 'Verwijderen';
 $lang['delete this site and all its attached elements'] = 'Verwijder de site en alle bijbehorende afbeeldingen';
 $lang['deleted'] = 'verwijderd';
@@ -421,5 +421,5 @@
 $lang['File/directory read error'] = 'Bestand/map lees fout';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Het bestand of map kan niet worden benaderd (of het bestand of map bestaat niet of heeft geen rechten)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'Een afbeelding heeft een mini-afbeelding nodig. De mini-afbeelding moet in de subdirectorie "thumbnail" van de betreffende categorie aanwezig zijn. De mini-afbeelding moet starten met het in de configuratie opgegeven voorvoegsel en mag alleen een extentie bevatten die voorkomt in de volgende lijst:';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'Een afbeelding heeft een mini-afbeelding nodig. De mini-afbeelding moet in de subdirectorie "thumbnail" van de betreffende categorie aanwezig zijn. De mini-afbeelding moet starten met het in de configuratie opgegeven voorvoegsel (prefix) en mag alleen een extentie bevatten die voorkomt in de volgende lijst:';
 $lang['missing thumbnail'] = 'ontbrekende mini-afbeelding';
 $lang['categories deleted in the database'] = 'categorieën verwijderd uit de database';
@@ -581,5 +581,5 @@
 $lang['Can\'t connect to server.'] = 'Kan niet met de server verbinden.';
 $lang['Purge compiled templates'] = 'Verwijder samengestelde sjablonen';
-$lang['Caddie is currently empty'] = 'winkelmandje is momenteel leeg';
+$lang['Caddie is currently empty'] = 'Uw winkelmandje is momenteel leeg';
 $lang['Demo'] = 'Demo';
 $lang['Piwigo home'] = 'Piwigo Home';
@@ -643,5 +643,5 @@
 $lang['No element in this category'] = 'Geen element in deze categorie';
 $lang['Images manual order was saved'] = 'De handmatige sortering van de afbeeldingen is bewaard';
-$lang['ranks'] = 'rangen';
+$lang['ranks'] = 'Rangen';
 $lang['Piwigo Announcements Newsletter'] = 'Piwigo Aankondigings Nieuwsbrief';
 $lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Hou contact met het Piwigo project, abonneer u op de Piwigo Aankondigings Nieuwsbrief. Dan ontvangt u een email wanneer een nieuwe Piwigo-release beschikbaar komt, wanneer een belangrijke beveiligings bugfix nodig is of wanneer belangrijke ontwikkelingen binnen het Piwigo-project plaatsvinden. Alles bij elkaar een paar emails per jaar.';
@@ -754,4 +754,19 @@
 $lang['Bound Theme'] = 'Gebonden Thema';
 $lang['Allow rating'] = 'Waarderings-optie inschakelen';
+$lang['Select at least one comment'] = 'Minstens een commentaar selecteren';
+$lang['Active Plugins'] = 'Actieve Plugins';
+$lang['Inactive Plugins'] = 'Niet actieve Plugins';
+$lang['Missing Plugins'] = 'Missende Plugins';
+$lang['Uninstalled Plugins'] = 'Niet geïnstalleerde Plugins';
+$lang['By %s'] = 'Door %s';
+$lang['Visit plugin site'] = 'Bezoek de plugin site';
+$lang['Active Languages'] = 'Actieve talen';
+$lang['Delete this language'] = 'Verwijder deze taal';
+$lang['Forbid this language to users'] = 'Stel deze taal niet beschikbaar aan gebruikers';
+$lang['Impossible to deactivate this language, first set another language as default.'] = 'Niet mogelijk om deze taal te deactiveren, stel eerst een andere taal in als standaardtaal.';
+$lang['Impossible to deactivate this language, you need at least one language.'] = 'Niet mogelijk om deze taal te deactiveren, er moet minstens één taal actief zijn.';
+$lang['Inactive Languages'] = 'Niet actieve talen';
+$lang['Make this language available to users'] = 'Stel deze taal beschikbaar aan gebruikers';
+$lang['Set as default language for unregistered and new users'] = 'Stel in als standaardtaal voor niet geregistreerde en nieuwe gebruikers';
 
 ?>
Index: trunk/language/nl_NL/common.lang.php
===================================================================
--- trunk/language/nl_NL/common.lang.php	(revision 5506)
+++ trunk/language/nl_NL/common.lang.php	(revision 5508)
@@ -108,5 +108,5 @@
 $lang['Related tags'] = 'Aanverwante tags';
 $lang['Reset'] = 'Reset';
-$lang['Retrieve password'] = 'Ontvang wachtwoord';
+$lang['Retrieve password'] = 'Ontvang nieuw wachtwoord';
 $lang['Search rules'] = 'Zoekregels';
 $lang['Search tags'] = 'Zoek tags';
@@ -192,6 +192,6 @@
 $lang['Hello'] = 'Hallo';
 $lang['available for administrators only'] = 'Alleen voor beheerders';
-$lang['shows images at the root of this category'] = 'Toon afbeelding van het begin van de categorie';
-$lang['See last users comments'] = 'Bekijk het laatste gebruikerscommentaar';
+$lang['shows images at the root of this category'] = 'Toont afbeeldingen van het begin van de categorie';
+$lang['See last users comments'] = 'Bekijk de laatste gebruikerscommentaren';
 $lang['customize the appareance of the gallery'] = 'Weergave van de galerie aanpassen';
 $lang['search'] = 'zoeken';
@@ -355,5 +355,5 @@
 $lang['%d images are also linked to current tags'] = '%d afbeeldingen zijn ook gelinkt aan de actuele tags';
 $lang['See images linked to this tag only'] = 'Toon afbeeldingen gelinkt met deze tag';
-$lang['images posted during the last %d days'] = 'afbeelding binnen de %d dagen';
+$lang['images posted during the last %d days'] = 'Afbeelding ontvangen binnen de afgelopen %d dagen';
 $lang['Choose an image'] = 'Kies een afbeelding om';
 $lang['Piwigo Help'] = 'Piwigo Help';
Index: trunk/language/nl_NL/upgrade.lang.php
===================================================================
--- trunk/language/nl_NL/upgrade.lang.php	(revision 5506)
+++ trunk/language/nl_NL/upgrade.lang.php	(revision 5508)
@@ -38,5 +38,5 @@
 $lang['All sub-categories of private categories become private'] = 'Alle sub-categorieën van private categorieën worden private';
 $lang['User permissions and group permissions have been erased'] = 'Gebruikers- en groepsrechten zijn verwijderd';
-$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Alleen de mini-afbeelding-prefix en het email-adres van de webbeheerder zijn bewaard gebleven van de vorige configuratie';
+$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Alleen het voorvoegsel (prefix) van de mini-afbeelding en het email-adres van de webbeheerder zijn bewaard gebleven van de vorige configuratie';
 $lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'In <i>%s</i>, voor <b>?></b>, voeg toe:';
 