Index: /extensions/autoupdate/language/ru_RU/description.txt
===================================================================
--- /extensions/autoupdate/language/ru_RU/description.txt	(revision 5512)
+++ /extensions/autoupdate/language/ru_RU/description.txt	(revision 5512)
@@ -0,0 +1,1 @@
+Upgrade your gallery automatically.
Index: /extensions/autoupdate/language/ru_RU/index.php
===================================================================
--- /extensions/autoupdate/language/ru_RU/index.php	(revision 5512)
+++ /extensions/autoupdate/language/ru_RU/index.php	(revision 5512)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/autoupdate/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/autoupdate/language/ru_RU/plugin.lang.php	(revision 5512)
+++ /extensions/autoupdate/language/ru_RU/plugin.lang.php	(revision 5512)
@@ -0,0 +1,25 @@
+<?php
+
+$lang['Click here to upgrade automatically'] = 'Нажмите для автоматического обновления';
+$lang['autoupdate_alert'] = 'Вы действительно хотите автоматически обновить piwigo?\nВнимание!!! Файлы исправленные вручную будут перезаписаны.';
+$lang['autoupdate_success'] = 'Piwigo успешно обновлен (версия %s)';
+$lang['autoupdate_fail'] = 'Во время обновления произошла ошибка.';
+
+$lang['autoupdate_extract_fail'] = 'Во время распаковки произошла ошибка. Пожалуйста, проверьте права доступа к папке установки piwigo.<br><a href="%s">Нажмите, чтобы посмотреть лог ошибки</a>.';
+
+$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo не может получить файлы обновления с сервера';
+$lang['Click here to see Piwigo %s release notes'] = 'Нажмите, чтобы посмотреть заметки к релизу Piwigo %s';
+$lang['Some upgrades are available for you plugins'] = 'Доступны некоторые обновления для плагинов';
+$lang['Click here see upgrade plugins page'] = 'Нажмите сюда, чтобы посмотреть страницу обновления плагинов';
+$lang['Gallery and plugins are up to date'] = 'Галерея и плагины обновлены';
+$lang['Unable to check upgrades...'] = 'Невозможно проверить обновления...';
+$lang['Piwigo will automaticaly try again later.'] = 'Piwigo автоматически попробует еще раз позже.';
+$lang['Click here to check upgrades now'] = 'Нажмите сюда, чтобы проверить обновления сейчас';
+
+$lang['Notify on admin homepage'] = 'Уведомлять на странице администратора';
+$lang['Don\'t notify on admin homepage'] = 'Не уведомлять на странице администратора';
+
+$lang['Upgrade in progress... Please wait.'] = 'Идет процесс обновления... Ждите.';
+$lang['Checking upgrades for gallery and plugins...'] = 'Проверка обновлений для галереи и плагинов...';
+
+?>