Index: /trunk/language/it_IT/help/history.html
===================================================================
--- /trunk/language/it_IT/help/history.html	(revision 5518)
+++ /trunk/language/it_IT/help/history.html	(revision 5519)
@@ -5,5 +5,5 @@
  - Linguetta "Cronologia".</p>
 	
-<h3>statistiche</h3>
+<h3>Statistiche</h3>
 <ul>
   <p>Se avete scelto che le visite delle pagine <span
@@ -13,15 +13,11 @@
 Questa linguetta permette di seguire il numero di pagine visitate</p>
 	
-	<li><strong>Statistiche totali</strong> : visualizzate le statistiche
-	annuali</li>
+	<li><strong>Statistiche totali</strong> : visualizzate le statistiche annuali</li>
 	
-	<li><strong>Statistiche di un anno</strong> : visualizzate le statistiche
-	dei mesi del anno selezionato.</li>
+	<li><strong>Statistiche di un anno</strong> : visualizzate le statistiche dei mesi del anno selezionato.</li>
 	
-	<li><strong>Statistiche di un mese</strong> : visualizzate le statistiche
-	dei giorni del mese selezionato.</li>
+	<li><strong>Statistiche di un mese</strong> : visualizzate le statistiche dei giorni del mese selezionato.</li>
 	
-	<li><strong>Statistiche di una giornata</strong> : visualizzate le statistiche
-	delle ore della giornata selezionata.</li>
+	<li><strong>Statistiche di una giornata</strong> : visualizzate le statistiche delle ore della giornata selezionata.</li>
 	
 </ul>
@@ -32,7 +28,5 @@
 class="pwgScreen">index.php</span> e <span
 class="pwgScreen">picture.php</span> siano
-registrate nella tabella <code>history</code>.
-Questa linguetta permette di seguire più in dettaglio le pagine visitate
-sul vostro sito con l'aiuto di diversi filtri.</p>
+registrate nella tabella <code>history</code>, questa linguetta permette di seguire più in dettaglio le pagine visitate con l'aiuto di diversi filtri.</p>
  
 	<li><strong>Filtro per data</strong> : selezionare l'intervallo
@@ -48,5 +42,5 @@
 volete osservare l'attività.</li>
 	
-	<li><strong>Id immagine</strong> : selezionare l'Id dell'immagine che
+	<li><strong>Id immagine</strong> : selezionare l'Id dell'immagine di cui
  volete osservare l'attività.</li>
 </ul>
Index: /trunk/language/it_IT/help/maintenance.html
===================================================================
--- /trunk/language/it_IT/help/maintenance.html	(revision 5518)
+++ /trunk/language/it_IT/help/maintenance.html	(revision 5519)
@@ -1,10 +1,9 @@
 <h2>Manutenzione</h2>
 
-<p>Per ottimizzare il tempo di generazione di una pagina, Piwigo usa
-delle informazioni dalla cache. Per esempio, invece di contare il numero
-d'immagini contenute in ogni categoria ad ogni ricarica, queste informazioni
-sono immagazzinate nella base dati. In teoria, questa informazione dovrebbe
-essere sempre corretta, ma a volte si può verificare un errore accadere e l'informazione
-della cache diventa errata. </p>
+<p>Per ottimizzare il tempo di generazione di una pagina, Piwigo usa delle informazioni
+dalla cache. Per esempio, invece di contare il numero d'immagini contenute in ogni categoria
+ad ogni ricarica, queste informazioni sono immagazzinate nella base dati. In teoria,
+questa informazione dovrebbe essere sempre corretta, ma a volte si può verificare 
+un errore e l'informazione della cache diventa errata.</p>
 
 <p>Alcune informazioni diventano inutili col tempo. Cancellare queste
@@ -13,37 +12,34 @@
 <ul>
 
-  <li><strong>Aggiornare le informazioni delle categorie:</strong> Per ogni
-categoria, le informazioni da aggiornare o controllare sono le seguenti:
-elenco delle categorie madri, numero delle immagini, data dell'ultima immagine,
-posizione tra delle categorie di stesso livello, posizione tra categorie madri
-e categorie figlie. Quest'azione controlla anche la coerenza delle immagini
-rappresentative.</li>
+  <li><strong>Aggiornare le informazioni delle categorie:</strong> 
+  Per ogni categoria, le informazioni da aggiornare o controllare sono le seguenti: 
+  elenco delle categorie madri, numero delle immagini, data dell'ultima immagine, posizione tra
+  delle categorie di stesso livello, posizione tra categorie madri e categorie figlie.
+  Quest'azione controlla anche la coerenza delle immagini rappresentative.</li>
 
   <li><strong>Aggiornare le informazioni delle immagini:</strong> Per ogni
 immagine, le informazioni da aggiornare sono: il percorso completo verso
 il file, il voto medio. <em>Attenzione</em>: da non confondere con i metadati
-sincronizzabili tramite lo schermo <span class="pwgScreen">Amministrazione,
-Categorie, Sincronizare</span> o sullo schermo <span class="pwgScreen">Modificare
-le informazioni dell'immagine</span> (accessibile dalla pagina di visualizzazione
-di un'immagine<span class="pwgScreen">picture.php</span>).</li>
+sincronizzabili tramite lo schermo <span class="pwgScreen">Amministrazione, Categorie, Sincronizare</span>
+o sullo schermo <span class="pwgScreen">Modificare le informazioni dell'immagine</span> (accessibile dalla pagina di visualizzazione di un'immagine <span class="pwgScreen">picture.php</span>).</li>
 
   <li><strong>Riparare e ottimizzare la base dati:</strong>
-Per ogni tabella vengono realizzate le operazioni di riordinamento, riparazione
-ed ottimizzazione.</li>
+Per ogni tabella vengono realizzate le operazioni di riordinamento, riparazione ed ottimizzazione della base dati.
+  </li>
 
 </ul>
 
 <ul>
-  <li><strong>Ripulire i dettagli della cronologia:</strong> Cancella tutte le righe
-dalla tabella <code>history</code>. Lo schermo <span
-class="pwgScreen">Amministrazione, Speciale, Cronologia</span> non mostra più
-nessuna informazione passata. <em>Attenzione</em>: Tutte le informazioni saranno
-definitivamente perse e non sarà più possibile recuperarle.</li>
+  <li><strong>Ripulire i dettagli della cronologia:</strong> 
+Cancella tutte le righe dalla tabella <code>history</code>. Lo schermo <span class="pwgScreen">
+Amministrazione, Speciale, Cronologia</span> non mostra più nessuna informazione passata. 
+<em>Attenzione</em>: Tutte le informazioni saranno definitivamente perse e non sarà più possibile recuperarle.
+  </li>
 
-  <li><strong>Ripulire il sommario della cronologia:</strong> Cancella tutte le
-informazioni del sommario (ottenute dal dettaglio della cronologia) .</li>
+  <li><strong>Ripulire il sommario della cronologia:</strong> 
+Cancella tutte le informazioni del sommario (ottenute dal dettaglio della cronologia).
+  </li>
 
-  <li><strong>Ripulire le sessioni:</strong> Cancella tutte le sessioni
-scadute.</li>
+  <li><strong>Ripulire le sessioni:</strong> Cancella tutte le sessioni scadute.</li>
 
   <li><strong>Ripulire i flussi di notifica mai usati</strong></li>
Index: /trunk/language/it_IT/help/notification_by_mail.html
===================================================================
--- /trunk/language/it_IT/help/notification_by_mail.html	(revision 5518)
+++ /trunk/language/it_IT/help/notification_by_mail.html	(revision 5519)
@@ -1,15 +1,15 @@
-<h2>Notifiche per email</h2>
+<h2>Notifiche per Email</h2>
 
-<p>Questo schermo consente di configurare e gestire le notifiche via email sulle novità del sito.</p>
+<p>Questo schermo consente di configurare e gestire le notifiche via Email sui cambiamenti e le novità del vostro sito.</p>
 
 <p>Questo schermo è composto di 3 alette:</p>
 
 <h3>Parametri</h3>
-<p>Disponibile soltanto per il webmasters, questa aletta gestisce i parametri della notifica via email.</p>
+<p>Disponibile soltanto per il webmasters, questa linguetta gestisce i parametri della notifica via email.</p>
 
 <h3>Iscrizzione</h3>
-<p>Disponibile soltanto per il webmasters, questa aletta gestisce l'iscrizione/disiscrizione alle notifica via email.</p>
+<p>Disponibile soltanto per il webmasters, questa linguetta gestisce l'iscrizione/disiscrizione alle notifica via email.</p>
 
 <h3>Invio</h3>
-<p>Disponibile soltanto per il webmasters e per gli amministratori, questa aletta consente l'invio di email per notificare le novità del sito.</p>
+<p>Disponibile al webmaster e agli amministratori, linguetta aletta consente l'invio di email per notificare le novità del sito.</p>
 
Index: /trunk/language/it_IT/help/search.html
===================================================================
--- /trunk/language/it_IT/help/search.html	(revision 5518)
+++ /trunk/language/it_IT/help/search.html	(revision 5519)
@@ -8,19 +8,19 @@
 
   <dd>Cercare una o più parole in tutti gli attributi che riguardano le immagini
-mostrate nella galleria. Usare * come Joker per ricerche parziali.</dd>
+mostrate nella galleria. Usare * come Jolly per ricerche parziali.</dd>
 
   <dt>Ricercare per Autore</dt>
 
-  <dd>Usare * come Joker per le ricerche parziali.</dd>
+  <dd>Usare * come Jolly per le ricerche parziali.</dd>
 
   <dt>Ricercare per data</dt>
 
   <dd>Selezionare una data e/o data di fine. Lasciare la data vuota se
-volete fare una ricerca "prima di". L'anno deve essere inserito nell'ultimo
-campo come nel formato seguente : 0000 (per esempio 2007)</dd>
+volete fare una ricerca "prima di". L'anno deve essere inserito nell'ultimo campo come nel formato seguente : 0000 (per esempio 2010)</dd>
 
   <dt>Ricercare nelle categorie</dt>
-  <dd>Scegliere la categoria o le categorie in cui desiderate lanciare
-la ricerca.</dd>
+
+  <dd>Scegliere le categorie in cui desiderate lanciare
+la ricerca. È possibile ricercare in tutte le categorie selezzionando la categoria madre, e autorizzando la ricerca nelle sottodirectory.</dd>
 
 </dl>
Index: /trunk/language/it_IT/help/site_manager.html
===================================================================
--- /trunk/language/it_IT/help/site_manager.html	(revision 5518)
+++ /trunk/language/it_IT/help/site_manager.html	(revision 5519)
@@ -6,15 +6,17 @@
 una grande quantità d'immagini da mostrare.</p>
 
+
 <ol>
 
   <li>modificare il file <span
-class="filename">tools/create_listing_file.php</span> agendo
+class="filename">tools/create_listing_file_local.inc.php</span> agendo
 sui parametri come <code>$conf['prefix_thumbnail']</code> o
 <code>$conf['use_exif']</code>.</li>
 
-  <li>piazzare il file <span
-class="filename">tools/create_listing_file.php</span> modificato sul Vostro sito
+  <li>via FTP, piazzare i file <span
+class="filename">tools/create_listing_file.php</span> e <span
+class="filename">tools/create_listing_file_local.inc.php</span> (modificato) sul Vostro sito
 remoto, nella stessa directory che le categorie che compongono la vostra galleria
-(come la directory <span class="filename">galleries</span> di questo sito), per FTP.
+(come la directory <span class="filename">galleries</span> di questo sito).
 Per esempio, supponiamo che potete accedere a <span
 class="filename">http://esempio.it/galleries/create_listing_file.php</span>.</li>
@@ -34,9 +36,11 @@
 
       <li><strong>sincronizzare</strong> : legge il file remoto <span
-class="filename">listing.xml</span> e sincronizza con la base dati locale.</li>
+class="filename">listing.xml</span> e sincronizza con la base dati 
+locale.</li>
 
-      <li><strong>pulire</strong> : cancella il file di listing remoto.</li>
+      <li><strong>pulire</strong> : cancella il file di listing 
+remoto.</li>
 
-      <li><strong>Cancellare</strong> : cancella il sito remoto (e tutte le 
+      <li><strong>cancellare</strong> : cancella il sito remoto (e tutte le 
 relative categorie ed elementi associati) dalla base dati.</li>
 